// SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)
           //
           // THIS FILE IS AUTOGENERATED BY CARGO-LIBBPF-GEN!

           pub use self::imp::*;

           #[allow(dead_code)]
           #[allow(non_snake_case)]
           #[allow(non_camel_case_types)]
           #[allow(clippy::transmute_ptr_to_ref)]
           #[allow(clippy::upper_case_acronyms)]
           #[warn(single_use_lifetimes)]
           mod imp {
           use libbpf_rs::libbpf_sys;
           use libbpf_rs::skel::OpenSkel;
           use libbpf_rs::skel::Skel;
           use libbpf_rs::skel::SkelBuilder;
        
        fn build_skel_config() -> libbpf_rs::Result<libbpf_rs::__internal_skel::ObjectSkeletonConfig<'static>>
        {
            let mut builder = libbpf_rs::__internal_skel::ObjectSkeletonConfigBuilder::new(DATA);
            builder
                .name("kprobe_bpf")
        
            .map("global_config_map", false)
            
            .map("counters_map", false)
            
            .map("events_map", false)
            
            .map("log_map", false)
            
            .map("filter_meta_map", false)
            
            .map("tracking_config_map", false)
            
            .map("tracking_map", false)
            
            .map("config_map", false)
            
            .map("stack_map", false)
            
            .map("kprobe_b.rodata", true)
            
            .map("kprobe_b.bss", false)
            
            .prog("probe_kprobe")
            ;

            builder.build()
        }
        
        #[derive(Default)]
        pub struct KprobeSkelBuilder {
            pub obj_builder: libbpf_rs::ObjectBuilder,
        }

        impl<'a> SkelBuilder<'a> for KprobeSkelBuilder {
            type Output = OpenKprobeSkel<'a>;
            fn open(self) -> libbpf_rs::Result<OpenKprobeSkel<'a>> {
                let mut skel_config = build_skel_config()?;
                let open_opts = self.obj_builder.opts();

                let ret = unsafe { libbpf_sys::bpf_object__open_skeleton(skel_config.get(), open_opts) };
                if ret != 0 {
                    return Err(libbpf_rs::Error::from_raw_os_error(-ret));
                }

                let obj = unsafe { libbpf_rs::OpenObject::from_ptr(skel_config.object_ptr())? };

                Ok(OpenKprobeSkel {
                    obj,
                    skel_config
                })
            }

            fn open_opts(self, open_opts: libbpf_sys::bpf_object_open_opts) -> libbpf_rs::Result<OpenKprobeSkel<'a>> {
                let mut skel_config = build_skel_config()?;

                let ret = unsafe { libbpf_sys::bpf_object__open_skeleton(skel_config.get(), &open_opts) };
                if ret != 0 {
                    return Err(libbpf_rs::Error::from_raw_os_error(-ret));
                }

                let obj = unsafe { libbpf_rs::OpenObject::from_ptr(skel_config.object_ptr())? };

                Ok(OpenKprobeSkel {
                    obj,
                    skel_config
                })
            }

            fn object_builder(&self) -> &libbpf_rs::ObjectBuilder {
                &self.obj_builder
            }
            fn object_builder_mut(&mut self) -> &mut libbpf_rs::ObjectBuilder {
                &mut self.obj_builder
            }
        }
        
            pub struct OpenKprobeMapsMut<'a> {
                inner: &'a mut libbpf_rs::OpenObject,
            }

            impl OpenKprobeMapsMut<'_> {
            
                pub fn global_config_map(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("global_config_map").unwrap()
                }
                
                pub fn counters_map(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("counters_map").unwrap()
                }
                
                pub fn events_map(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("events_map").unwrap()
                }
                
                pub fn log_map(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("log_map").unwrap()
                }
                
                pub fn filter_meta_map(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("filter_meta_map").unwrap()
                }
                
                pub fn tracking_config_map(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("tracking_config_map").unwrap()
                }
                
                pub fn tracking_map(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("tracking_map").unwrap()
                }
                
                pub fn config_map(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("config_map").unwrap()
                }
                
                pub fn stack_map(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("stack_map").unwrap()
                }
                
                pub fn rodata(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("kprobe_b.rodata").unwrap()
                }
                
                pub fn bss(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("kprobe_b.bss").unwrap()
                }
                }

            pub struct OpenKprobeMaps<'a> {
                inner: &'a libbpf_rs::OpenObject,
            }

            impl OpenKprobeMaps<'_> {
            
                pub fn global_config_map(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("global_config_map").unwrap()
                }
                
                pub fn counters_map(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("counters_map").unwrap()
                }
                
                pub fn events_map(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("events_map").unwrap()
                }
                
                pub fn log_map(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("log_map").unwrap()
                }
                
                pub fn filter_meta_map(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("filter_meta_map").unwrap()
                }
                
                pub fn tracking_config_map(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("tracking_config_map").unwrap()
                }
                
                pub fn tracking_map(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("tracking_map").unwrap()
                }
                
                pub fn config_map(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("config_map").unwrap()
                }
                
                pub fn stack_map(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("stack_map").unwrap()
                }
                
                pub fn rodata(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("kprobe_b.rodata").unwrap()
                }
                
                pub fn bss(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("kprobe_b.bss").unwrap()
                }
                }

        pub struct OpenKprobeProgs<'a> {
            inner: &'a libbpf_rs::OpenObject,
        }

        impl OpenKprobeProgs<'_> {
        
            pub fn probe_kprobe(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("probe_kprobe").unwrap()
            }
            }

        pub struct OpenKprobeProgsMut<'a> {
            inner: &'a mut libbpf_rs::OpenObject,
        }

        impl OpenKprobeProgsMut<'_> {
        
            pub fn probe_kprobe(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("probe_kprobe").unwrap()
            }
            }

                pub mod kprobe_bss_types {
                #[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct bss {
}
}

                pub mod kprobe_rodata_types {
                #[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct rodata {
    pub log_level: u8,
    pub nmeta: u32,
    pub nhooks: u32,
}
}

        pub struct OpenKprobeSkel<'a> {
            pub obj: libbpf_rs::OpenObject,
            skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'a>,
        }

        impl<'a> OpenSkel for OpenKprobeSkel<'a> {
            type Output = KprobeSkel<'a>;
            fn load(mut self) -> libbpf_rs::Result<KprobeSkel<'a>> {
                let ret = unsafe { libbpf_sys::bpf_object__load_skeleton(self.skel_config.get()) };
                if ret != 0 {
                    return Err(libbpf_rs::Error::from_raw_os_error(-ret));
                }

                let obj = unsafe { libbpf_rs::Object::from_ptr(self.obj.take_ptr())? };

                Ok(KprobeSkel {
                    obj,
                    skel_config: self.skel_config,
                    links: KprobeLinks::default()
                })
            }

            fn open_object(&self) -> &libbpf_rs::OpenObject {
                &self.obj
            }

            fn open_object_mut(&mut self) -> &mut libbpf_rs::OpenObject {
                &mut self.obj
            }
        }
impl OpenKprobeSkel<'_> {

            pub fn progs_mut(&mut self) -> OpenKprobeProgsMut<'_> {
                OpenKprobeProgsMut {
                    inner: &mut self.obj,
                }
            }
            
            pub fn progs(&self) -> OpenKprobeProgs<'_> {
                OpenKprobeProgs {
                    inner: &self.obj,
                }
            }
            
            pub fn maps_mut(&mut self) -> OpenKprobeMapsMut<'_> {
                OpenKprobeMapsMut {
                    inner: &mut self.obj,
                }
            }
            
            pub fn maps(&self) -> OpenKprobeMaps<'_> {
                OpenKprobeMaps {
                    inner: &self.obj,
                }
            }
            
                pub fn rodata(& self) -> & kprobe_rodata_types::rodata {
                    unsafe {
                        std::mem::transmute::<*const std::ffi::c_void, & kprobe_rodata_types::rodata>(
                            self.skel_config.map_mmap_ptr(9).unwrap()
                        )
                    }
                }
                
                pub fn rodata_mut(&mut self) -> &mut kprobe_rodata_types::rodata {
                    unsafe {
                        std::mem::transmute::<*mut std::ffi::c_void, &mut kprobe_rodata_types::rodata>(
                            self.skel_config.map_mmap_ptr_mut(9).unwrap()
                        )
                    }
                }
                }

            pub struct KprobeMapsMut<'a> {
                inner: &'a mut libbpf_rs::Object,
            }

            impl KprobeMapsMut<'_> {
            
                pub fn global_config_map(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("global_config_map").unwrap()
                }
                
                pub fn counters_map(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("counters_map").unwrap()
                }
                
                pub fn events_map(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("events_map").unwrap()
                }
                
                pub fn log_map(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("log_map").unwrap()
                }
                
                pub fn filter_meta_map(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("filter_meta_map").unwrap()
                }
                
                pub fn tracking_config_map(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("tracking_config_map").unwrap()
                }
                
                pub fn tracking_map(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("tracking_map").unwrap()
                }
                
                pub fn config_map(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("config_map").unwrap()
                }
                
                pub fn stack_map(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("stack_map").unwrap()
                }
                
                pub fn rodata(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("kprobe_b.rodata").unwrap()
                }
                
                pub fn bss(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("kprobe_b.bss").unwrap()
                }
                }

            pub struct KprobeMaps<'a> {
                inner: &'a libbpf_rs::Object,
            }

            impl KprobeMaps<'_> {
            
                pub fn global_config_map(&self) -> &libbpf_rs::Map {
                    self.inner.map("global_config_map").unwrap()
                }
                
                pub fn counters_map(&self) -> &libbpf_rs::Map {
                    self.inner.map("counters_map").unwrap()
                }
                
                pub fn events_map(&self) -> &libbpf_rs::Map {
                    self.inner.map("events_map").unwrap()
                }
                
                pub fn log_map(&self) -> &libbpf_rs::Map {
                    self.inner.map("log_map").unwrap()
                }
                
                pub fn filter_meta_map(&self) -> &libbpf_rs::Map {
                    self.inner.map("filter_meta_map").unwrap()
                }
                
                pub fn tracking_config_map(&self) -> &libbpf_rs::Map {
                    self.inner.map("tracking_config_map").unwrap()
                }
                
                pub fn tracking_map(&self) -> &libbpf_rs::Map {
                    self.inner.map("tracking_map").unwrap()
                }
                
                pub fn config_map(&self) -> &libbpf_rs::Map {
                    self.inner.map("config_map").unwrap()
                }
                
                pub fn stack_map(&self) -> &libbpf_rs::Map {
                    self.inner.map("stack_map").unwrap()
                }
                
                pub fn rodata(&self) -> &libbpf_rs::Map {
                    self.inner.map("kprobe_b.rodata").unwrap()
                }
                
                pub fn bss(&self) -> &libbpf_rs::Map {
                    self.inner.map("kprobe_b.bss").unwrap()
                }
                }

        pub struct KprobeProgs<'a> {
            inner: &'a libbpf_rs::Object,
        }

        impl KprobeProgs<'_> {
        
            pub fn probe_kprobe(&self) -> &libbpf_rs::Program {
                self.inner.prog("probe_kprobe").unwrap()
            }
            }

        pub struct KprobeProgsMut<'a> {
            inner: &'a mut libbpf_rs::Object,
        }

        impl KprobeProgsMut<'_> {
        
            pub fn probe_kprobe(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("probe_kprobe").unwrap()
            }
            }

        #[derive(Default)]
        pub struct KprobeLinks {
        pub probe_kprobe: Option<libbpf_rs::Link>,
            }

        pub struct KprobeSkel<'a> {
            pub obj: libbpf_rs::Object,
            skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'a>,
        pub links: KprobeLinks,
        
        }

        unsafe impl Send for KprobeSkel<'_> {}
        unsafe impl Sync for KprobeSkel<'_> {}

        impl Skel for KprobeSkel<'_> {
            fn object(&self) -> &libbpf_rs::Object {
                &self.obj
            }

            fn object_mut(&mut self) -> &mut libbpf_rs::Object {
                &mut self.obj
            }
        
        fn attach(&mut self) -> libbpf_rs::Result<()> {
            let ret = unsafe { libbpf_sys::bpf_object__attach_skeleton(self.skel_config.get()) };
            if ret != 0 {
                return Err(libbpf_rs::Error::from_raw_os_error(-ret));
            }

            self.links = KprobeLinks {
        probe_kprobe: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(0)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            
            };

            Ok(())
        }
        }
impl KprobeSkel<'_> {
            pub fn progs_mut(&mut self) -> KprobeProgsMut<'_> {
                KprobeProgsMut {
                    inner: &mut self.obj,
                }
            }
            
            pub fn progs(&self) -> KprobeProgs<'_> {
                KprobeProgs {
                    inner: &self.obj,
                }
            }
            
            pub fn maps_mut(&mut self) -> KprobeMapsMut<'_> {
                KprobeMapsMut {
                    inner: &mut self.obj,
                }
            }
            
            pub fn maps(&self) -> KprobeMaps<'_> {
                KprobeMaps {
                    inner: &self.obj,
                }
            }
            
                pub fn rodata(& self) -> & kprobe_rodata_types::rodata {
                    unsafe {
                        std::mem::transmute::<*const std::ffi::c_void, & kprobe_rodata_types::rodata>(
                            self.skel_config.map_mmap_ptr(9).unwrap()
                        )
                    }
                }
                }

        const DATA: &[u8] = &[127, 69, 76, 70, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 247, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 64, 0, 15, 0, 1, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 136, 255, 0, 0, 0, 0, 123, 26, 128, 255, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 123, 26, 112, 255, 0, 0, 0, 0, 123, 26, 104, 255, 0, 0, 0, 0, 123, 26, 96, 255, 0, 0, 0, 0, 123, 26, 88, 255, 0, 0, 0, 0, 123, 26, 80, 255, 0, 0, 0, 0, 123, 26, 72, 255, 0, 0, 0, 0, 123, 26, 64, 255, 0, 0, 0, 0, 123, 26, 56, 255, 0, 0, 0, 0, 123, 26, 48, 255, 0, 0, 0, 0, 123, 26, 40, 255, 0, 0, 0, 0, 123, 26, 32, 255, 0, 0, 0, 0, 123, 26, 24, 255, 0, 0, 0, 0, 123, 26, 16, 255, 0, 0, 0, 0, 123, 26, 8, 255, 0, 0, 0, 0, 123, 26, 0, 255, 0, 0, 0, 0, 123, 26, 248, 254, 0, 0, 0, 0, 123, 26, 240, 254, 0, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 123, 10, 248, 254, 0, 0, 0, 0, 24, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 1, 3, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 173, 0, 0, 0, 5, 0, 2, 0, 0, 0, 0, 0, 121, 96, 128, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 183, 1, 0, 0, 0, 0, 0, 0, 99, 26, 240, 254, 0, 0, 0, 0, 123, 10, 0, 255, 0, 0, 0, 0, 123, 106, 128, 255, 0, 0, 0, 0, 121, 98, 112, 0, 0, 0, 0, 0, 123, 42, 16, 255, 0, 0, 0, 0, 121, 98, 104, 0, 0, 0, 0, 0, 123, 42, 24, 255, 0, 0, 0, 0, 121, 98, 96, 0, 0, 0, 0, 0, 123, 42, 32, 255, 0, 0, 0, 0, 121, 98, 88, 0, 0, 0, 0, 0, 123, 42, 40, 255, 0, 0, 0, 0, 121, 98, 72, 0, 0, 0, 0, 0, 123, 42, 48, 255, 0, 0, 0, 0, 183, 2, 0, 0, 5, 0, 0, 0, 99, 42, 120, 255, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 34, 0, 0, 0, 0, 0, 0, 85, 2, 20, 0, 0, 0, 0, 0, 115, 26, 160, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 5, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 115, 33, 0, 0, 0, 0, 0, 0, 5, 0, 14, 37, 0, 0, 0, 0, 113, 1, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 85, 1, 1, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 115, 35, 0, 0, 0, 0, 0, 0, 21, 1, 6, 37, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 0, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 0, 37, 0, 0, 0, 0, 191, 169, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 16, 255, 255, 255, 113, 1, 5, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 113, 2, 4, 0, 0, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 107, 26, 12, 255, 0, 0, 0, 0, 113, 1, 1, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 113, 2, 0, 0, 0, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 113, 2, 2, 0, 0, 0, 0, 0, 103, 2, 0, 0, 16, 0, 0, 0, 123, 10, 224, 254, 0, 0, 0, 0, 113, 3, 3, 0, 0, 0, 0, 0, 103, 3, 0, 0, 24, 0, 0, 0, 79, 35, 0, 0, 0, 0, 0, 0, 79, 19, 0, 0, 0, 0, 0, 0, 99, 58, 8, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 152, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 97, 161, 120, 255, 0, 0, 0, 0, 113, 162, 8, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 10, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 6, 0, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 55, 0, 0, 0, 0, 0, 0, 85, 7, 51, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 53, 34, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 51, 34, 0, 0, 0, 0, 113, 162, 13, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 47, 34, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 43, 34, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 21, 3, 37, 34, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 8, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 27, 34, 0, 0, 0, 0, 5, 0, 14, 0, 0, 0, 0, 0, 113, 162, 12, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 22, 34, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 18, 34, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 21, 3, 12, 34, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 167, 160, 255, 0, 0, 0, 0, 21, 7, 4, 34, 0, 0, 0, 0, 123, 122, 160, 255, 0, 0, 0, 0, 183, 1, 0, 0, 200, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 232, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 161, 232, 255, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 123, 154, 232, 254, 0, 0, 0, 0, 85, 1, 237, 33, 0, 0, 0, 0, 183, 1, 0, 0, 200, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 183, 1, 0, 0, 112, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 121, 168, 160, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 4, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 97, 161, 160, 255, 0, 0, 0, 0, 99, 26, 152, 255, 0, 0, 0, 0, 183, 1, 0, 0, 186, 0, 0, 0, 191, 118, 0, 0, 0, 0, 0, 0, 15, 22, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 183, 1, 0, 0, 184, 0, 0, 0, 123, 122, 216, 254, 0, 0, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 105, 169, 160, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 21, 9, 31, 16, 255, 255, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 87, 2, 0, 0, 255, 255, 0, 0, 37, 2, 10, 0, 253, 255, 0, 0, 93, 145, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 120, 0, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 21, 1, 16, 16, 0, 0, 0, 0, 183, 1, 0, 0, 186, 0, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 15, 24, 0, 0, 0, 0, 0, 0, 123, 138, 144, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 144, 255, 255, 255, 191, 169, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 232, 255, 255, 255, 133, 0, 0, 0, 239, 190, 173, 222, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 99, 10, 156, 255, 0, 0, 0, 0, 5, 0, 44, 16, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 166, 160, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 87, 2, 0, 0, 255, 255, 0, 0, 121, 169, 232, 254, 0, 0, 0, 0, 121, 167, 216, 254, 0, 0, 0, 0, 37, 2, 164, 17, 253, 255, 0, 0, 21, 6, 10, 0, 255, 255, 0, 0, 93, 22, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 120, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 85, 1, 153, 17, 0, 0, 0, 0, 183, 1, 0, 0, 184, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 15, 24, 0, 0, 0, 0, 0, 0, 123, 138, 144, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 144, 255, 255, 255, 191, 169, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 232, 255, 255, 255, 133, 0, 0, 0, 222, 192, 173, 222, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 99, 10, 156, 255, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 97, 162, 156, 255, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 85, 2, 1, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 97, 162, 136, 255, 0, 0, 0, 0, 79, 18, 0, 0, 0, 0, 0, 0, 99, 42, 136, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 18, 0, 0, 0, 0, 0, 0, 21, 2, 93, 1, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 37, 1, 91, 1, 32, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 99, 138, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 22, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 220, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 213, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 248, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 5, 0, 198, 0, 0, 0, 0, 0, 113, 97, 32, 0, 0, 0, 0, 0, 123, 26, 192, 254, 0, 0, 0, 0, 113, 97, 33, 0, 0, 0, 0, 0, 123, 26, 184, 254, 0, 0, 0, 0, 183, 7, 0, 0, 1, 0, 0, 0, 99, 122, 232, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 123, 58, 208, 254, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 123, 58, 200, 254, 0, 0, 0, 0, 45, 18, 20, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 200, 254, 0, 0, 0, 0, 123, 26, 208, 254, 0, 0, 0, 0, 5, 0, 26, 0, 0, 0, 0, 0, 113, 3, 4, 0, 0, 0, 0, 0, 123, 58, 200, 254, 0, 0, 0, 0, 113, 9, 1, 0, 0, 0, 0, 0, 191, 24, 0, 0, 0, 0, 0, 0, 123, 42, 208, 254, 0, 0, 0, 0, 97, 161, 232, 255, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 99, 26, 232, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 1, 0, 0, 0, 191, 114, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 45, 33, 10, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 87, 1, 0, 0, 64, 0, 0, 0, 79, 145, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 0, 0, 0, 21, 1, 26, 0, 0, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 0, 0, 0, 21, 1, 98, 0, 0, 0, 0, 0, 123, 154, 192, 254, 0, 0, 0, 0, 5, 0, 96, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 1, 0, 0, 0, 0, 0, 5, 0, 124, 0, 0, 0, 0, 0, 105, 1, 2, 0, 0, 0, 0, 0, 113, 2, 0, 0, 0, 0, 0, 0, 85, 2, 220, 255, 64, 0, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 85, 0, 140, 0, 0, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 123, 26, 216, 254, 0, 0, 0, 0, 21, 1, 137, 0, 0, 0, 0, 0, 5, 0, 214, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 121, 162, 200, 254, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 21, 2, 133, 0, 0, 0, 0, 0, 191, 135, 0, 0, 0, 0, 0, 0, 167, 7, 0, 0, 255, 255, 255, 255, 24, 1, 0, 0, 7, 0, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 79, 23, 0, 0, 0, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 255, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 15, 39, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 248, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 95, 39, 0, 0, 0, 0, 0, 0, 119, 7, 0, 0, 3, 0, 0, 0, 183, 2, 0, 0, 7, 0, 0, 0, 45, 114, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 7, 0, 0, 0, 119, 1, 0, 0, 3, 0, 0, 0, 7, 7, 0, 0, 1, 0, 0, 0, 87, 1, 0, 0, 255, 255, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 255, 255, 255, 191, 114, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 85, 0, 218, 0, 0, 0, 0, 0, 121, 162, 240, 255, 0, 0, 0, 0, 121, 161, 200, 254, 0, 0, 0, 0, 87, 1, 0, 0, 255, 0, 0, 0, 21, 1, 144, 0, 0, 0, 0, 0, 183, 3, 0, 0, 64, 0, 0, 0, 31, 19, 0, 0, 0, 0, 0, 0, 87, 8, 0, 0, 7, 0, 0, 0, 191, 49, 0, 0, 0, 0, 0, 0, 31, 129, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 111, 18, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 207, 49, 0, 0, 0, 0, 0, 0, 121, 164, 208, 254, 0, 0, 0, 0, 103, 4, 0, 0, 56, 0, 0, 0, 199, 4, 0, 0, 56, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 109, 69, 2, 0, 0, 0, 0, 0, 127, 50, 0, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 121, 168, 184, 254, 0, 0, 0, 0, 121, 98, 0, 0, 0, 0, 0, 0, 101, 8, 114, 0, 2, 0, 0, 0, 21, 8, 135, 0, 0, 0, 0, 0, 21, 8, 176, 0, 1, 0, 0, 0, 21, 8, 1, 0, 2, 0, 0, 0, 5, 0, 147, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 45, 18, 1, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 109, 18, 1, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 175, 0, 0, 0, 0, 0, 5, 0, 173, 0, 0, 0, 0, 0, 121, 167, 192, 254, 0, 0, 0, 0, 87, 7, 0, 0, 255, 0, 0, 0, 183, 1, 0, 0, 32, 0, 0, 0, 45, 113, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 32, 0, 0, 0, 87, 8, 0, 0, 255, 255, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 131, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 191, 114, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 115, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 109, 9, 160, 0, 0, 0, 0, 0, 121, 161, 192, 254, 0, 0, 0, 0, 87, 1, 0, 0, 255, 0, 0, 0, 21, 1, 157, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 87, 7, 0, 0, 255, 0, 0, 0, 7, 7, 0, 0, 1, 0, 0, 0, 113, 98, 0, 0, 0, 0, 0, 0, 21, 2, 6, 0, 0, 0, 0, 0, 113, 19, 0, 0, 0, 0, 0, 0, 93, 50, 4, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 7, 6, 0, 0, 1, 0, 0, 0, 7, 7, 0, 0, 255, 255, 255, 255, 37, 7, 248, 255, 1, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 113, 98, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 29, 18, 141, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 5, 0, 139, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 22, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 15, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 123, 122, 240, 255, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 240, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 5, 0, 112, 0, 0, 0, 0, 0, 183, 1, 0, 0, 8, 0, 0, 0, 121, 162, 192, 254, 0, 0, 0, 0, 191, 39, 0, 0, 0, 0, 0, 0, 45, 33, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 8, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0, 0, 121, 162, 192, 254, 0, 0, 0, 0, 85, 2, 133, 255, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 99, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 21, 0, 93, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 16, 0, 0, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 248, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 5, 0, 77, 0, 0, 0, 0, 0, 21, 8, 24, 0, 3, 0, 0, 0, 21, 8, 77, 0, 4, 0, 0, 0, 21, 8, 1, 0, 5, 0, 0, 0, 5, 0, 33, 0, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 93, 33, 70, 0, 0, 0, 0, 0, 5, 0, 184, 255, 0, 0, 0, 0, 121, 163, 208, 254, 0, 0, 0, 0, 103, 3, 0, 0, 56, 0, 0, 0, 199, 3, 0, 0, 56, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 121, 168, 184, 254, 0, 0, 0, 0, 101, 3, 127, 255, 255, 255, 255, 255, 103, 7, 0, 0, 32, 0, 0, 0, 119, 7, 0, 0, 32, 0, 0, 0, 21, 7, 78, 0, 1, 0, 0, 0, 21, 7, 74, 0, 2, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 85, 7, 78, 0, 4, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 199, 2, 0, 0, 32, 0, 0, 0, 5, 0, 74, 0, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 29, 33, 52, 0, 0, 0, 0, 0, 5, 0, 166, 255, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 61, 33, 1, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 125, 33, 1, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 40, 0, 0, 0, 0, 0, 5, 0, 38, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 35, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 21, 0, 29, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 16, 0, 0, 0, 0, 0, 0, 123, 138, 160, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 5, 0, 12, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 45, 33, 1, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 109, 33, 1, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 1, 0, 0, 0, 0, 0, 191, 73, 0, 0, 0, 0, 0, 0, 87, 9, 0, 0, 1, 0, 0, 0, 103, 9, 0, 0, 1, 0, 0, 0, 5, 0, 27, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 61, 18, 1, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 125, 18, 1, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 242, 255, 0, 0, 0, 0, 5, 0, 240, 255, 0, 0, 0, 0, 103, 2, 0, 0, 48, 0, 0, 0, 199, 2, 0, 0, 48, 0, 0, 0, 5, 0, 2, 0, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 5, 0, 41, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 55, 0, 0, 0, 0, 0, 183, 9, 0, 0, 3, 0, 0, 0, 97, 161, 136, 255, 0, 0, 0, 0, 79, 145, 0, 0, 0, 0, 0, 0, 99, 26, 136, 255, 0, 0, 0, 0, 121, 169, 232, 254, 0, 0, 0, 0, 97, 161, 136, 255, 0, 0, 0, 0, 85, 1, 151, 0, 3, 0, 0, 0, 121, 161, 0, 255, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 97, 161, 120, 255, 0, 0, 0, 0, 113, 162, 8, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 12, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 8, 0, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 50, 0, 0, 0, 0, 0, 0, 21, 2, 2, 0, 0, 0, 0, 0, 123, 42, 232, 255, 0, 0, 0, 0, 5, 0, 59, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 130, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 128, 0, 0, 0, 0, 0, 113, 162, 13, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 124, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 120, 0, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 21, 3, 114, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 16, 0, 0, 0, 0, 0, 183, 1, 0, 0, 8, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 104, 0, 0, 0, 0, 0, 5, 0, 21, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 208, 221, 0, 0, 0, 0, 5, 0, 194, 255, 0, 0, 0, 0, 113, 162, 12, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 92, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 88, 0, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 21, 3, 82, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 21, 1, 73, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 21, 0, 8, 0, 0, 0, 0, 0, 113, 1, 3, 0, 0, 0, 0, 0, 183, 7, 0, 0, 1, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 85, 1, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 113, 1, 2, 0, 0, 0, 0, 0, 85, 1, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 200, 0, 0, 0, 121, 163, 232, 255, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 21, 1, 47, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 144, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 29, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 6, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 3, 0, 0, 0, 5, 0, 9, 0, 0, 0, 0, 0, 87, 8, 0, 0, 1, 0, 0, 0, 85, 8, 25, 0, 0, 0, 0, 0, 121, 161, 248, 254, 0, 0, 0, 0, 123, 26, 168, 255, 0, 0, 0, 0, 123, 26, 160, 255, 0, 0, 0, 0, 121, 161, 144, 255, 0, 0, 0, 0, 123, 26, 176, 255, 0, 0, 0, 0, 191, 166, 0, 0, 0, 0, 0, 0, 7, 6, 0, 0, 160, 255, 255, 255, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 144, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 133, 0, 0, 0, 2, 0, 0, 0, 121, 161, 248, 254, 0, 0, 0, 0, 123, 22, 8, 0, 0, 0, 0, 0, 87, 7, 0, 0, 1, 0, 0, 0, 21, 7, 7, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 133, 0, 0, 0, 2, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 21, 1, 97, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 4, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 12, 0, 0, 0, 0, 0, 121, 161, 0, 255, 0, 0, 0, 0, 123, 26, 160, 255, 0, 0, 0, 0, 123, 122, 168, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 80, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 219, 16, 0, 0, 0, 0, 0, 0, 5, 0, 77, 0, 0, 0, 0, 0, 123, 154, 232, 254, 0, 0, 0, 0, 183, 1, 0, 0, 12, 0, 0, 0, 115, 22, 4, 0, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 115, 150, 2, 0, 0, 0, 0, 0, 115, 118, 5, 0, 0, 0, 0, 0, 115, 118, 3, 0, 0, 0, 0, 0, 115, 118, 1, 0, 0, 0, 0, 0, 183, 1, 0, 0, 16, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 121, 161, 248, 254, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 16, 0, 0, 0, 115, 38, 8, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 24, 0, 0, 0, 115, 38, 9, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 8, 0, 0, 0, 115, 38, 7, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 48, 0, 0, 0, 115, 38, 12, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 56, 0, 0, 0, 115, 38, 13, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 115, 38, 10, 0, 0, 0, 0, 0, 115, 22, 6, 0, 0, 0, 0, 0, 119, 1, 0, 0, 40, 0, 0, 0, 115, 22, 11, 0, 0, 0, 0, 0, 133, 0, 0, 0, 8, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 119, 1, 0, 0, 24, 0, 0, 0, 115, 22, 17, 0, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 119, 1, 0, 0, 16, 0, 0, 0, 115, 22, 16, 0, 0, 0, 0, 0, 115, 6, 14, 0, 0, 0, 0, 0, 119, 0, 0, 0, 8, 0, 0, 0, 115, 6, 15, 0, 0, 0, 0, 0, 113, 97, 1, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 113, 98, 0, 0, 0, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 179, 3, 0, 0, 45, 18, 87, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 121, 169, 232, 254, 0, 0, 0, 0, 21, 1, 21, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 21, 7, 14, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 23, 0, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 248, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 133, 0, 0, 0, 97, 161, 136, 255, 0, 0, 0, 0, 85, 1, 164, 1, 3, 0, 0, 0, 121, 161, 0, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 144, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 156, 1, 0, 0, 0, 0, 113, 1, 0, 0, 0, 0, 0, 0, 21, 1, 154, 1, 0, 0, 0, 0, 97, 161, 120, 255, 0, 0, 0, 0, 113, 162, 8, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 10, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 6, 0, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 85, 3, 116, 1, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 137, 1, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 135, 1, 0, 0, 0, 0, 113, 162, 13, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 131, 1, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 127, 1, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 21, 3, 121, 1, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 73, 1, 0, 0, 0, 0, 183, 1, 0, 0, 8, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 191, 96, 0, 0, 0, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 109, 1, 0, 0, 0, 0, 5, 0, 75, 1, 0, 0, 0, 0, 191, 104, 0, 0, 0, 0, 0, 0, 7, 8, 0, 0, 2, 0, 0, 0, 191, 135, 0, 0, 0, 0, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 72, 0, 0, 0, 115, 39, 2, 0, 0, 0, 0, 0, 115, 151, 1, 0, 0, 0, 0, 0, 115, 151, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 115, 151, 3, 0, 0, 0, 0, 0, 7, 1, 0, 0, 76, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 8, 0, 0, 0, 115, 38, 1, 0, 0, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 115, 151, 75, 0, 0, 0, 0, 0, 115, 151, 74, 0, 0, 0, 0, 0, 115, 151, 73, 0, 0, 0, 0, 0, 115, 151, 72, 0, 0, 0, 0, 0, 115, 151, 71, 0, 0, 0, 0, 0, 115, 151, 70, 0, 0, 0, 0, 0, 115, 151, 69, 0, 0, 0, 0, 0, 115, 151, 68, 0, 0, 0, 0, 0, 115, 151, 67, 0, 0, 0, 0, 0, 115, 151, 66, 0, 0, 0, 0, 0, 115, 151, 65, 0, 0, 0, 0, 0, 115, 151, 64, 0, 0, 0, 0, 0, 115, 151, 63, 0, 0, 0, 0, 0, 115, 151, 62, 0, 0, 0, 0, 0, 115, 151, 61, 0, 0, 0, 0, 0, 115, 151, 60, 0, 0, 0, 0, 0, 115, 151, 59, 0, 0, 0, 0, 0, 115, 151, 58, 0, 0, 0, 0, 0, 115, 151, 57, 0, 0, 0, 0, 0, 115, 151, 56, 0, 0, 0, 0, 0, 115, 151, 55, 0, 0, 0, 0, 0, 115, 151, 54, 0, 0, 0, 0, 0, 115, 151, 53, 0, 0, 0, 0, 0, 115, 151, 52, 0, 0, 0, 0, 0, 115, 151, 51, 0, 0, 0, 0, 0, 115, 151, 50, 0, 0, 0, 0, 0, 115, 151, 49, 0, 0, 0, 0, 0, 115, 151, 48, 0, 0, 0, 0, 0, 115, 151, 47, 0, 0, 0, 0, 0, 115, 151, 46, 0, 0, 0, 0, 0, 115, 151, 45, 0, 0, 0, 0, 0, 115, 151, 44, 0, 0, 0, 0, 0, 115, 151, 43, 0, 0, 0, 0, 0, 115, 151, 42, 0, 0, 0, 0, 0, 115, 151, 41, 0, 0, 0, 0, 0, 115, 151, 40, 0, 0, 0, 0, 0, 115, 151, 39, 0, 0, 0, 0, 0, 115, 151, 38, 0, 0, 0, 0, 0, 115, 151, 37, 0, 0, 0, 0, 0, 115, 151, 36, 0, 0, 0, 0, 0, 115, 151, 35, 0, 0, 0, 0, 0, 115, 151, 34, 0, 0, 0, 0, 0, 115, 151, 33, 0, 0, 0, 0, 0, 115, 151, 32, 0, 0, 0, 0, 0, 115, 151, 31, 0, 0, 0, 0, 0, 115, 151, 30, 0, 0, 0, 0, 0, 115, 151, 29, 0, 0, 0, 0, 0, 115, 151, 28, 0, 0, 0, 0, 0, 115, 151, 27, 0, 0, 0, 0, 0, 115, 151, 26, 0, 0, 0, 0, 0, 115, 151, 25, 0, 0, 0, 0, 0, 115, 151, 24, 0, 0, 0, 0, 0, 115, 151, 23, 0, 0, 0, 0, 0, 115, 151, 22, 0, 0, 0, 0, 0, 115, 151, 21, 0, 0, 0, 0, 0, 115, 151, 20, 0, 0, 0, 0, 0, 115, 151, 19, 0, 0, 0, 0, 0, 115, 151, 18, 0, 0, 0, 0, 0, 115, 151, 17, 0, 0, 0, 0, 0, 115, 151, 16, 0, 0, 0, 0, 0, 115, 151, 15, 0, 0, 0, 0, 0, 115, 151, 14, 0, 0, 0, 0, 0, 115, 151, 13, 0, 0, 0, 0, 0, 115, 151, 12, 0, 0, 0, 0, 0, 115, 151, 11, 0, 0, 0, 0, 0, 115, 151, 10, 0, 0, 0, 0, 0, 115, 151, 9, 0, 0, 0, 0, 0, 115, 151, 8, 0, 0, 0, 0, 0, 115, 151, 7, 0, 0, 0, 0, 0, 115, 151, 6, 0, 0, 0, 0, 0, 115, 151, 5, 0, 0, 0, 0, 0, 115, 151, 4, 0, 0, 0, 0, 0, 133, 0, 0, 0, 14, 0, 0, 0, 123, 7, 4, 0, 0, 0, 0, 0, 7, 7, 0, 0, 12, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 64, 0, 0, 0, 133, 0, 0, 0, 16, 0, 0, 0, 113, 98, 0, 0, 0, 0, 0, 0, 113, 97, 1, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 234, 3, 0, 0, 45, 18, 13, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 121, 169, 232, 254, 0, 0, 0, 0, 21, 1, 91, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 21, 7, 84, 255, 0, 0, 0, 0, 5, 0, 69, 255, 0, 0, 0, 0, 15, 24, 0, 0, 0, 0, 0, 0, 115, 152, 3, 0, 0, 0, 0, 0, 183, 2, 0, 0, 17, 0, 0, 0, 115, 40, 2, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 115, 40, 1, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 115, 40, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 21, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 8, 0, 0, 0, 115, 38, 1, 0, 0, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 121, 162, 0, 255, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 56, 0, 0, 0, 115, 56, 11, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 48, 0, 0, 0, 115, 56, 10, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 40, 0, 0, 0, 115, 56, 9, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 115, 56, 8, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 24, 0, 0, 0, 115, 56, 7, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 16, 0, 0, 0, 115, 56, 6, 0, 0, 0, 0, 0, 115, 40, 4, 0, 0, 0, 0, 0, 119, 2, 0, 0, 8, 0, 0, 0, 115, 40, 5, 0, 0, 0, 0, 0, 97, 162, 240, 254, 0, 0, 0, 0, 115, 40, 12, 0, 0, 0, 0, 0, 183, 0, 0, 0, 255, 255, 255, 255, 121, 162, 224, 254, 0, 0, 0, 0, 113, 34, 6, 0, 0, 0, 0, 0, 21, 2, 9, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 2, 0, 0, 133, 0, 0, 0, 27, 0, 0, 0, 113, 98, 0, 0, 0, 0, 0, 0, 113, 97, 1, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 56, 0, 0, 0, 115, 40, 20, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 48, 0, 0, 0, 115, 40, 19, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 40, 0, 0, 0, 115, 40, 18, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 115, 40, 17, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 24, 0, 0, 0, 115, 40, 16, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 16, 0, 0, 0, 115, 40, 15, 0, 0, 0, 0, 0, 115, 8, 13, 0, 0, 0, 0, 0, 119, 0, 0, 0, 8, 0, 0, 0, 115, 8, 14, 0, 0, 0, 0, 0, 107, 26, 232, 255, 0, 0, 0, 0, 105, 161, 232, 255, 0, 0, 0, 0, 107, 26, 232, 255, 0, 0, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 121, 169, 232, 254, 0, 0, 0, 0, 21, 1, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 251, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 239, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 3, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 227, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 4, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 215, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 5, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 203, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 6, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 191, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 7, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 179, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 8, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 167, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 9, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 155, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 10, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 143, 254, 0, 0, 0, 0, 113, 97, 0, 0, 0, 0, 0, 0, 113, 98, 1, 0, 0, 0, 0, 0, 103, 2, 0, 0, 8, 0, 0, 0, 79, 18, 0, 0, 0, 0, 0, 0, 105, 161, 232, 255, 0, 0, 0, 0, 61, 33, 137, 254, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 5, 0, 136, 254, 0, 0, 0, 0, 113, 162, 12, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 42, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 38, 0, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 15, 41, 0, 0, 0, 0, 0, 0, 121, 147, 0, 0, 0, 0, 0, 0, 21, 3, 33, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 191, 96, 0, 0, 0, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 23, 0, 0, 0, 0, 0, 183, 1, 0, 0, 200, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 121, 162, 240, 255, 0, 0, 0, 0, 123, 42, 160, 255, 0, 0, 0, 0, 21, 2, 12, 0, 0, 0, 0, 0, 113, 17, 1, 0, 0, 0, 0, 0, 21, 1, 5, 0, 0, 0, 0, 0, 97, 161, 120, 255, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 45, 18, 7, 0, 0, 0, 0, 0, 121, 161, 24, 255, 0, 0, 0, 0, 21, 1, 5, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 3, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 116, 97, 114, 103, 101, 116, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 109, 101, 109, 98, 101, 114, 32, 97, 116, 32, 105, 110, 100, 101, 120, 32, 37, 117, 0, 101, 114, 114, 111, 114, 32, 119, 104, 105, 108, 101, 32, 99, 97, 108, 99, 117, 108, 97, 116, 105, 110, 103, 32, 98, 121, 116, 101, 115, 32, 116, 111, 32, 114, 101, 97, 100, 32, 40, 122, 101, 114, 111, 32, 110, 111, 116, 32, 97, 108, 108, 111, 119, 101, 100, 41, 0, 87, 114, 111, 110, 103, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 32, 111, 112, 101, 114, 97, 116, 111, 114, 32, 37, 100, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 103, 101, 116, 32, 101, 118, 101, 110, 116, 32, 115, 101, 99, 116, 105, 111, 110, 58, 32, 110, 111, 32, 115, 112, 97, 99, 101, 32, 108, 101, 102, 116, 0, 71, 80, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 159, 235, 1, 0, 24, 0, 0, 0, 0, 0, 0, 0, 164, 27, 0, 0, 164, 27, 0, 0, 202, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 6, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 10, 0, 0, 0, 47, 0, 0, 0, 1, 0, 0, 4, 1, 0, 0, 0, 67, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 1, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 5, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 9, 0, 0, 0, 192, 0, 0, 0, 102, 0, 0, 0, 0, 0, 0, 14, 11, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 16, 0, 0, 0, 120, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 139, 0, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 148, 0, 0, 0, 17, 0, 0, 0, 64, 0, 0, 0, 152, 0, 0, 0, 0, 0, 0, 8, 18, 0, 0, 0, 156, 0, 0, 0, 0, 0, 0, 8, 19, 0, 0, 0, 162, 0, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 21, 0, 0, 0, 181, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 196, 0, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 13, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 15, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 20, 0, 0, 0, 192, 0, 0, 0, 211, 0, 0, 0, 0, 0, 0, 14, 22, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 0, 128, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 75, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 26, 0, 0, 0, 64, 0, 0, 0, 224, 0, 0, 0, 0, 0, 0, 14, 28, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 75, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 30, 0, 0, 0, 64, 0, 0, 0, 235, 0, 0, 0, 0, 0, 0, 14, 32, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 39, 0, 0, 0, 243, 0, 0, 0, 0, 0, 0, 8, 40, 0, 0, 0, 247, 0, 0, 0, 0, 0, 0, 8, 41, 0, 0, 0, 253, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 43, 0, 0, 0, 10, 1, 0, 0, 2, 0, 0, 5, 40, 0, 0, 0, 24, 1, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 26, 1, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 6, 0, 0, 0, 75, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 28, 1, 0, 0, 6, 0, 0, 0, 8, 0, 0, 0, 34, 1, 0, 0, 45, 0, 0, 0, 16, 0, 0, 0, 39, 1, 0, 0, 6, 0, 0, 0, 32, 0, 0, 0, 47, 1, 0, 0, 0, 0, 0, 8, 46, 0, 0, 0, 51, 1, 0, 0, 0, 0, 0, 8, 47, 0, 0, 0, 57, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 4, 40, 0, 0, 0, 72, 1, 0, 0, 49, 0, 0, 0, 0, 0, 0, 0, 74, 1, 0, 0, 6, 0, 0, 0, 0, 1, 0, 0, 77, 1, 0, 0, 6, 0, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 32, 0, 0, 0, 81, 1, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0, 85, 1, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 6, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 34, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 36, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 38, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 42, 0, 0, 0, 192, 0, 0, 0, 89, 1, 0, 0, 0, 0, 0, 14, 51, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 55, 0, 0, 0, 105, 1, 0, 0, 4, 0, 0, 4, 4, 0, 0, 0, 121, 1, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 126, 1, 0, 0, 6, 0, 0, 0, 8, 0, 0, 0, 139, 1, 0, 0, 6, 0, 0, 0, 16, 0, 0, 0, 148, 1, 0, 0, 6, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 13, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 53, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 54, 0, 0, 0, 192, 0, 0, 0, 160, 1, 0, 0, 0, 0, 0, 14, 56, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 61, 0, 0, 0, 180, 1, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 194, 1, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 204, 1, 0, 0, 17, 0, 0, 0, 64, 0, 0, 0, 214, 1, 0, 0, 17, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 58, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 53, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 60, 0, 0, 0, 192, 0, 0, 0, 224, 1, 0, 0, 0, 0, 0, 14, 62, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 65, 0, 0, 0, 237, 1, 0, 0, 2, 0, 0, 4, 7, 0, 0, 0, 0, 2, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 8, 2, 0, 0, 6, 0, 0, 0, 48, 0, 0, 0, 20, 2, 0, 0, 6, 0, 0, 4, 6, 0, 0, 0, 40, 2, 0, 0, 67, 0, 0, 0, 0, 0, 0, 0, 48, 2, 0, 0, 67, 0, 0, 0, 8, 0, 0, 0, 64, 2, 0, 0, 67, 0, 0, 0, 16, 0, 0, 0, 75, 2, 0, 0, 67, 0, 0, 0, 24, 0, 0, 0, 79, 2, 0, 0, 67, 0, 0, 0, 32, 0, 0, 0, 91, 2, 0, 0, 67, 0, 0, 0, 40, 0, 0, 0, 105, 2, 0, 0, 0, 0, 0, 8, 68, 0, 0, 0, 108, 2, 0, 0, 0, 0, 0, 8, 69, 0, 0, 0, 113, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 1, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 13, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 53, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 64, 0, 0, 0, 192, 0, 0, 0, 125, 2, 0, 0, 0, 0, 0, 14, 70, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 248, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 72, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 30, 0, 0, 0, 64, 0, 0, 0, 136, 2, 0, 0, 74, 0, 0, 0, 128, 0, 0, 0, 145, 2, 0, 0, 76, 0, 0, 0, 192, 0, 0, 0, 156, 2, 0, 0, 0, 0, 0, 14, 78, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 81, 0, 0, 0, 166, 2, 0, 0, 7, 0, 0, 4, 160, 0, 0, 0, 180, 2, 0, 0, 82, 0, 0, 0, 0, 0, 0, 0, 194, 1, 0, 0, 17, 0, 0, 0, 64, 0, 0, 0, 191, 2, 0, 0, 17, 0, 0, 0, 128, 0, 0, 0, 0, 2, 0, 0, 66, 0, 0, 0, 192, 0, 0, 0, 196, 2, 0, 0, 83, 0, 0, 0, 0, 1, 0, 0, 201, 2, 0, 0, 85, 0, 0, 0, 128, 4, 0, 0, 210, 2, 0, 0, 39, 0, 0, 0, 192, 4, 0, 0, 222, 2, 0, 0, 3, 0, 0, 6, 4, 0, 0, 0, 240, 2, 0, 0, 0, 0, 0, 0, 4, 3, 0, 0, 1, 0, 0, 0, 27, 3, 0, 0, 2, 0, 0, 0, 51, 3, 0, 0, 3, 0, 0, 4, 112, 0, 0, 0, 62, 3, 0, 0, 84, 0, 0, 0, 0, 0, 0, 0, 66, 3, 0, 0, 17, 0, 0, 0, 0, 3, 0, 0, 85, 1, 0, 0, 39, 0, 0, 0, 64, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 17, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 87, 0, 0, 0, 70, 3, 0, 0, 2, 0, 0, 4, 0, 4, 0, 0, 86, 3, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 91, 3, 0, 0, 88, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 6, 0, 0, 0, 4, 0, 0, 0, 254, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 106, 3, 0, 0, 1, 0, 0, 12, 89, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 203, 3, 0, 0, 1, 0, 0, 12, 91, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 217, 3, 0, 0, 1, 0, 0, 12, 93, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 231, 3, 0, 0, 1, 0, 0, 12, 95, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 245, 3, 0, 0, 1, 0, 0, 12, 97, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 3, 4, 0, 0, 1, 0, 0, 12, 99, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 17, 4, 0, 0, 1, 0, 0, 12, 101, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 31, 4, 0, 0, 1, 0, 0, 12, 103, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 45, 4, 0, 0, 1, 0, 0, 12, 105, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 80, 0, 0, 0, 100, 3, 0, 0, 86, 0, 0, 0, 59, 4, 0, 0, 1, 0, 0, 12, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 110, 0, 0, 0, 73, 4, 0, 0, 21, 0, 0, 4, 168, 0, 0, 0, 81, 4, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 85, 4, 0, 0, 111, 0, 0, 0, 64, 0, 0, 0, 89, 4, 0, 0, 111, 0, 0, 0, 128, 0, 0, 0, 93, 4, 0, 0, 111, 0, 0, 0, 192, 0, 0, 0, 97, 4, 0, 0, 111, 0, 0, 0, 0, 1, 0, 0, 100, 4, 0, 0, 111, 0, 0, 0, 64, 1, 0, 0, 103, 4, 0, 0, 111, 0, 0, 0, 128, 1, 0, 0, 107, 4, 0, 0, 111, 0, 0, 0, 192, 1, 0, 0, 111, 4, 0, 0, 111, 0, 0, 0, 0, 2, 0, 0, 114, 4, 0, 0, 111, 0, 0, 0, 64, 2, 0, 0, 117, 4, 0, 0, 111, 0, 0, 0, 128, 2, 0, 0, 120, 4, 0, 0, 111, 0, 0, 0, 192, 2, 0, 0, 123, 4, 0, 0, 111, 0, 0, 0, 0, 3, 0, 0, 126, 4, 0, 0, 111, 0, 0, 0, 64, 3, 0, 0, 129, 4, 0, 0, 111, 0, 0, 0, 128, 3, 0, 0, 132, 4, 0, 0, 111, 0, 0, 0, 192, 3, 0, 0, 140, 4, 0, 0, 111, 0, 0, 0, 0, 4, 0, 0, 143, 4, 0, 0, 111, 0, 0, 0, 64, 4, 0, 0, 146, 4, 0, 0, 111, 0, 0, 0, 128, 4, 0, 0, 152, 4, 0, 0, 111, 0, 0, 0, 192, 4, 0, 0, 155, 4, 0, 0, 111, 0, 0, 0, 0, 5, 0, 0, 158, 4, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 2, 0, 0, 0, 96, 3, 0, 0, 109, 0, 0, 0, 172, 4, 0, 0, 1, 0, 0, 12, 112, 0, 0, 0, 130, 5, 0, 0, 1, 0, 0, 6, 4, 0, 0, 0, 146, 5, 0, 0, 42, 0, 0, 0, 91, 2, 0, 0, 10, 0, 0, 132, 48, 0, 0, 0, 230, 9, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 236, 9, 0, 0, 116, 0, 0, 0, 8, 0, 0, 0, 245, 9, 0, 0, 116, 0, 0, 0, 16, 0, 0, 0, 75, 0, 0, 0, 118, 0, 0, 0, 24, 0, 0, 8, 3, 10, 0, 0, 39, 0, 0, 0, 32, 0, 0, 0, 9, 10, 0, 0, 119, 0, 0, 0, 64, 0, 0, 0, 13, 10, 0, 0, 121, 0, 0, 0, 128, 0, 0, 0, 23, 10, 0, 0, 123, 0, 0, 0, 192, 0, 0, 0, 29, 10, 0, 0, 125, 0, 0, 0, 0, 1, 0, 0, 34, 10, 0, 0, 127, 0, 0, 0, 64, 1, 0, 0, 42, 10, 0, 0, 0, 0, 0, 8, 117, 0, 0, 0, 47, 10, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 4, 53, 10, 0, 0, 5, 0, 0, 6, 4, 0, 0, 0, 69, 10, 0, 0, 0, 0, 0, 0, 90, 10, 0, 0, 1, 0, 0, 0, 111, 10, 0, 0, 2, 0, 0, 0, 132, 10, 0, 0, 3, 0, 0, 0, 151, 10, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 218, 0, 0, 0, 79, 2, 0, 0, 7, 0, 0, 4, 24, 0, 0, 0, 224, 10, 0, 0, 130, 0, 0, 0, 0, 0, 0, 0, 228, 10, 0, 0, 131, 0, 0, 0, 64, 0, 0, 0, 146, 4, 0, 0, 6, 0, 0, 0, 128, 0, 0, 0, 234, 10, 0, 0, 6, 0, 0, 0, 136, 0, 0, 0, 240, 10, 0, 0, 45, 0, 0, 0, 144, 0, 0, 0, 248, 10, 0, 0, 45, 0, 0, 0, 160, 0, 0, 0, 254, 10, 0, 0, 45, 0, 0, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 213, 0, 0, 0, 40, 2, 0, 0, 28, 0, 0, 132, 232, 0, 0, 0, 0, 0, 0, 0, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 145, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 147, 0, 0, 0, 0, 1, 0, 0, 253, 11, 0, 0, 153, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 192, 2, 0, 0, 0, 12, 0, 0, 111, 0, 0, 0, 64, 3, 0, 0, 6, 12, 0, 0, 41, 0, 0, 0, 128, 3, 0, 0, 10, 12, 0, 0, 41, 0, 0, 0, 160, 3, 0, 0, 19, 12, 0, 0, 46, 0, 0, 0, 192, 3, 0, 0, 27, 12, 0, 0, 46, 0, 0, 0, 208, 3, 0, 0, 35, 12, 0, 0, 46, 0, 0, 0, 224, 3, 0, 0, 49, 12, 0, 0, 158, 0, 0, 0, 240, 3, 0, 0, 65, 12, 0, 0, 7, 0, 0, 0, 240, 3, 0, 1, 72, 12, 0, 0, 7, 0, 0, 0, 241, 3, 0, 1, 78, 12, 0, 0, 7, 0, 0, 0, 242, 3, 0, 2, 85, 12, 0, 0, 7, 0, 0, 0, 244, 3, 0, 1, 92, 12, 0, 0, 7, 0, 0, 0, 245, 3, 0, 1, 102, 12, 0, 0, 7, 0, 0, 0, 246, 3, 0, 1, 113, 12, 0, 0, 7, 0, 0, 0, 247, 3, 0, 1, 124, 12, 0, 0, 7, 0, 0, 0, 248, 3, 0, 0, 0, 0, 0, 0, 159, 0, 0, 0, 0, 4, 0, 0, 142, 12, 0, 0, 178, 0, 0, 0, 224, 5, 0, 0, 147, 12, 0, 0, 178, 0, 0, 0, 0, 6, 0, 0, 151, 12, 0, 0, 179, 0, 0, 0, 64, 6, 0, 0, 91, 3, 0, 0, 179, 0, 0, 0, 128, 6, 0, 0, 156, 12, 0, 0, 41, 0, 0, 0, 192, 6, 0, 0, 165, 12, 0, 0, 180, 0, 0, 0, 224, 6, 0, 0, 171, 12, 0, 0, 184, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 5, 24, 0, 0, 0, 0, 0, 0, 0, 135, 0, 0, 0, 0, 0, 0, 0, 182, 12, 0, 0, 139, 0, 0, 0, 0, 0, 0, 0, 189, 12, 0, 0, 141, 0, 0, 0, 0, 0, 0, 0, 194, 12, 0, 0, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 202, 12, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 207, 12, 0, 0, 136, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 137, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 133, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 212, 12, 0, 0, 138, 0, 0, 0, 0, 0, 0, 0, 216, 12, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 211, 0, 0, 0, 228, 12, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 236, 12, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 254, 12, 0, 0, 140, 0, 0, 0, 64, 0, 0, 0, 7, 13, 0, 0, 140, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 139, 0, 0, 0, 15, 13, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 202, 12, 0, 0, 142, 0, 0, 0, 0, 0, 0, 0, 207, 12, 0, 0, 142, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 141, 0, 0, 0, 25, 13, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 202, 12, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 143, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 36, 13, 0, 0, 146, 0, 0, 0, 0, 0, 0, 0, 39, 13, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 212, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 56, 13, 0, 0, 148, 0, 0, 0, 0, 0, 0, 0, 63, 13, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 77, 13, 0, 0, 0, 0, 0, 8, 149, 0, 0, 0, 85, 13, 0, 0, 0, 0, 0, 8, 150, 0, 0, 0, 89, 13, 0, 0, 0, 0, 0, 8, 151, 0, 0, 0, 95, 13, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 1, 105, 13, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 152, 0, 0, 0, 4, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 5, 16, 0, 0, 0, 0, 0, 0, 0, 155, 0, 0, 0, 0, 0, 0, 0, 110, 13, 0, 0, 141, 0, 0, 0, 0, 0, 0, 0, 129, 13, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 139, 13, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 151, 13, 0, 0, 156, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 157, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 7, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 60, 0, 0, 0, 0, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 162, 13, 0, 0, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 0, 0, 132, 60, 0, 0, 0, 170, 13, 0, 0, 158, 0, 0, 0, 0, 0, 0, 0, 188, 13, 0, 0, 7, 0, 0, 0, 0, 0, 0, 3, 197, 13, 0, 0, 7, 0, 0, 0, 3, 0, 0, 1, 236, 9, 0, 0, 7, 0, 0, 0, 4, 0, 0, 1, 207, 13, 0, 0, 7, 0, 0, 0, 5, 0, 0, 2, 217, 13, 0, 0, 7, 0, 0, 0, 7, 0, 0, 1, 226, 13, 0, 0, 7, 0, 0, 0, 8, 0, 0, 1, 234, 13, 0, 0, 7, 0, 0, 0, 9, 0, 0, 1, 242, 13, 0, 0, 7, 0, 0, 0, 10, 0, 0, 1, 3, 14, 0, 0, 7, 0, 0, 0, 11, 0, 0, 1, 14, 14, 0, 0, 7, 0, 0, 0, 12, 0, 0, 1, 21, 14, 0, 0, 7, 0, 0, 0, 13, 0, 0, 1, 35, 14, 0, 0, 7, 0, 0, 0, 14, 0, 0, 1, 50, 14, 0, 0, 7, 0, 0, 0, 15, 0, 0, 1, 61, 14, 0, 0, 158, 0, 0, 0, 16, 0, 0, 0, 87, 14, 0, 0, 7, 0, 0, 0, 16, 0, 0, 1, 103, 14, 0, 0, 7, 0, 0, 0, 17, 0, 0, 1, 120, 14, 0, 0, 7, 0, 0, 0, 18, 0, 0, 2, 131, 14, 0, 0, 7, 0, 0, 0, 20, 0, 0, 1, 151, 14, 0, 0, 7, 0, 0, 0, 21, 0, 0, 1, 170, 14, 0, 0, 7, 0, 0, 0, 22, 0, 0, 1, 187, 14, 0, 0, 7, 0, 0, 0, 23, 0, 0, 1, 201, 14, 0, 0, 7, 0, 0, 0, 24, 0, 0, 2, 216, 14, 0, 0, 7, 0, 0, 0, 26, 0, 0, 1, 230, 14, 0, 0, 7, 0, 0, 0, 27, 0, 0, 1, 250, 14, 0, 0, 7, 0, 0, 0, 28, 0, 0, 1, 11, 15, 0, 0, 7, 0, 0, 0, 29, 0, 0, 1, 31, 15, 0, 0, 7, 0, 0, 0, 30, 0, 0, 1, 42, 15, 0, 0, 7, 0, 0, 0, 31, 0, 0, 1, 55, 15, 0, 0, 7, 0, 0, 0, 32, 0, 0, 1, 70, 15, 0, 0, 7, 0, 0, 0, 33, 0, 0, 1, 80, 15, 0, 0, 7, 0, 0, 0, 34, 0, 0, 1, 89, 15, 0, 0, 7, 0, 0, 0, 35, 0, 0, 1, 103, 15, 0, 0, 7, 0, 0, 0, 36, 0, 0, 1, 116, 15, 0, 0, 46, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 161, 0, 0, 0, 64, 0, 0, 0, 125, 15, 0, 0, 40, 0, 0, 0, 96, 0, 0, 0, 134, 15, 0, 0, 2, 0, 0, 0, 128, 0, 0, 0, 142, 15, 0, 0, 40, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 164, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 167, 0, 0, 0, 224, 0, 0, 0, 147, 15, 0, 0, 45, 0, 0, 0, 0, 1, 0, 0, 157, 15, 0, 0, 40, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 168, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 169, 0, 0, 0, 96, 1, 0, 0, 165, 15, 0, 0, 46, 0, 0, 0, 112, 1, 0, 0, 188, 15, 0, 0, 46, 0, 0, 0, 128, 1, 0, 0, 209, 15, 0, 0, 46, 0, 0, 0, 144, 1, 0, 0, 226, 15, 0, 0, 166, 0, 0, 0, 160, 1, 0, 0, 235, 15, 0, 0, 46, 0, 0, 0, 176, 1, 0, 0, 252, 15, 0, 0, 46, 0, 0, 0, 192, 1, 0, 0, 11, 16, 0, 0, 46, 0, 0, 0, 208, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 22, 16, 0, 0, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 163, 0, 0, 0, 0, 0, 0, 0, 27, 16, 0, 0, 0, 0, 0, 8, 40, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 34, 16, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 45, 16, 0, 0, 46, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 57, 16, 0, 0, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 66, 16, 0, 0, 166, 0, 0, 0, 0, 0, 0, 0, 77, 16, 0, 0, 46, 0, 0, 0, 16, 0, 0, 0, 86, 16, 0, 0, 0, 0, 0, 8, 46, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 93, 16, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 101, 16, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 112, 16, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 117, 16, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 2, 0, 0, 0, 135, 16, 0, 0, 166, 0, 0, 0, 0, 0, 0, 0, 150, 16, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 0, 0, 132, 60, 0, 0, 0, 170, 13, 0, 0, 158, 0, 0, 0, 0, 0, 0, 0, 188, 13, 0, 0, 7, 0, 0, 0, 0, 0, 0, 3, 197, 13, 0, 0, 7, 0, 0, 0, 3, 0, 0, 1, 236, 9, 0, 0, 7, 0, 0, 0, 4, 0, 0, 1, 207, 13, 0, 0, 7, 0, 0, 0, 5, 0, 0, 2, 217, 13, 0, 0, 7, 0, 0, 0, 7, 0, 0, 1, 226, 13, 0, 0, 7, 0, 0, 0, 8, 0, 0, 1, 234, 13, 0, 0, 7, 0, 0, 0, 9, 0, 0, 1, 242, 13, 0, 0, 7, 0, 0, 0, 10, 0, 0, 1, 3, 14, 0, 0, 7, 0, 0, 0, 11, 0, 0, 1, 14, 14, 0, 0, 7, 0, 0, 0, 12, 0, 0, 1, 21, 14, 0, 0, 7, 0, 0, 0, 13, 0, 0, 1, 35, 14, 0, 0, 7, 0, 0, 0, 14, 0, 0, 1, 50, 14, 0, 0, 7, 0, 0, 0, 15, 0, 0, 1, 61, 14, 0, 0, 158, 0, 0, 0, 16, 0, 0, 0, 87, 14, 0, 0, 7, 0, 0, 0, 16, 0, 0, 1, 103, 14, 0, 0, 7, 0, 0, 0, 17, 0, 0, 1, 120, 14, 0, 0, 7, 0, 0, 0, 18, 0, 0, 2, 131, 14, 0, 0, 7, 0, 0, 0, 20, 0, 0, 1, 151, 14, 0, 0, 7, 0, 0, 0, 21, 0, 0, 1, 170, 14, 0, 0, 7, 0, 0, 0, 22, 0, 0, 1, 187, 14, 0, 0, 7, 0, 0, 0, 23, 0, 0, 1, 201, 14, 0, 0, 7, 0, 0, 0, 24, 0, 0, 2, 216, 14, 0, 0, 7, 0, 0, 0, 26, 0, 0, 1, 230, 14, 0, 0, 7, 0, 0, 0, 27, 0, 0, 1, 250, 14, 0, 0, 7, 0, 0, 0, 28, 0, 0, 1, 11, 15, 0, 0, 7, 0, 0, 0, 29, 0, 0, 1, 31, 15, 0, 0, 7, 0, 0, 0, 30, 0, 0, 1, 42, 15, 0, 0, 7, 0, 0, 0, 31, 0, 0, 1, 55, 15, 0, 0, 7, 0, 0, 0, 32, 0, 0, 1, 70, 15, 0, 0, 7, 0, 0, 0, 33, 0, 0, 1, 80, 15, 0, 0, 7, 0, 0, 0, 34, 0, 0, 1, 89, 15, 0, 0, 7, 0, 0, 0, 35, 0, 0, 1, 103, 15, 0, 0, 7, 0, 0, 0, 36, 0, 0, 1, 116, 15, 0, 0, 46, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 171, 0, 0, 0, 64, 0, 0, 0, 125, 15, 0, 0, 40, 0, 0, 0, 96, 0, 0, 0, 134, 15, 0, 0, 2, 0, 0, 0, 128, 0, 0, 0, 142, 15, 0, 0, 40, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 173, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 175, 0, 0, 0, 224, 0, 0, 0, 147, 15, 0, 0, 45, 0, 0, 0, 0, 1, 0, 0, 157, 15, 0, 0, 40, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 176, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 177, 0, 0, 0, 96, 1, 0, 0, 165, 15, 0, 0, 46, 0, 0, 0, 112, 1, 0, 0, 188, 15, 0, 0, 46, 0, 0, 0, 128, 1, 0, 0, 209, 15, 0, 0, 46, 0, 0, 0, 144, 1, 0, 0, 226, 15, 0, 0, 166, 0, 0, 0, 160, 1, 0, 0, 235, 15, 0, 0, 46, 0, 0, 0, 176, 1, 0, 0, 252, 15, 0, 0, 46, 0, 0, 0, 192, 1, 0, 0, 11, 16, 0, 0, 46, 0, 0, 0, 208, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 22, 16, 0, 0, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 34, 16, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 45, 16, 0, 0, 46, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 57, 16, 0, 0, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 66, 16, 0, 0, 166, 0, 0, 0, 0, 0, 0, 0, 77, 16, 0, 0, 46, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 93, 16, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 101, 16, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 112, 16, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 117, 16, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 2, 0, 0, 0, 135, 16, 0, 0, 166, 0, 0, 0, 0, 0, 0, 0, 150, 16, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 164, 16, 0, 0, 0, 0, 0, 8, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 8, 0, 0, 0, 179, 16, 0, 0, 0, 0, 0, 8, 181, 0, 0, 0, 190, 16, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 206, 16, 0, 0, 182, 0, 0, 0, 0, 0, 0, 0, 211, 16, 0, 0, 0, 0, 0, 8, 183, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 220, 16, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 6, 0, 0, 0, 188, 36, 0, 0, 0, 0, 0, 14, 185, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 39, 0, 0, 0, 198, 36, 0, 0, 0, 0, 0, 14, 188, 0, 0, 0, 1, 0, 0, 0, 204, 36, 0, 0, 0, 0, 0, 14, 188, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 152, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 211, 36, 0, 0, 0, 0, 0, 14, 192, 0, 0, 0, 1, 0, 0, 0, 221, 36, 0, 0, 0, 0, 0, 14, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 195, 0, 0, 0, 4, 0, 0, 0, 36, 0, 0, 0, 235, 36, 0, 0, 0, 0, 0, 14, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 195, 0, 0, 0, 4, 0, 0, 0, 48, 0, 0, 0, 3, 37, 0, 0, 0, 0, 0, 14, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 195, 0, 0, 0, 4, 0, 0, 0, 57, 0, 0, 0, 29, 37, 0, 0, 0, 0, 0, 14, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 195, 0, 0, 0, 4, 0, 0, 0, 29, 0, 0, 0, 47, 37, 0, 0, 0, 0, 0, 14, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 195, 0, 0, 0, 4, 0, 0, 0, 43, 0, 0, 0, 62, 37, 0, 0, 0, 0, 0, 14, 204, 0, 0, 0, 0, 0, 0, 0, 87, 37, 0, 0, 1, 0, 0, 15, 0, 0, 0, 0, 194, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 92, 37, 0, 0, 9, 0, 0, 15, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 52, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 57, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 63, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 71, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 79, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 98, 37, 0, 0, 8, 0, 0, 15, 0, 0, 0, 0, 187, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 190, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 191, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 197, 0, 0, 0, 12, 0, 0, 0, 36, 0, 0, 0, 199, 0, 0, 0, 48, 0, 0, 0, 48, 0, 0, 0, 201, 0, 0, 0, 96, 0, 0, 0, 57, 0, 0, 0, 203, 0, 0, 0, 153, 0, 0, 0, 29, 0, 0, 0, 205, 0, 0, 0, 182, 0, 0, 0, 43, 0, 0, 0, 106, 37, 0, 0, 1, 0, 0, 15, 0, 0, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 114, 37, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 64, 2, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 126, 37, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 131, 37, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 145, 37, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 153, 37, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 168, 37, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 178, 37, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 190, 37, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 105, 110, 116, 0, 95, 95, 65, 82, 82, 65, 89, 95, 83, 73, 90, 69, 95, 84, 89, 80, 69, 95, 95, 0, 117, 56, 0, 95, 95, 117, 56, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 99, 104, 97, 114, 0, 114, 101, 116, 105, 115, 95, 103, 108, 111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 0, 101, 110, 97, 98, 108, 101, 100, 0, 116, 121, 112, 101, 0, 109, 97, 120, 95, 101, 110, 116, 114, 105, 101, 115, 0, 107, 101, 121, 0, 118, 97, 108, 117, 101, 0, 103, 108, 111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 114, 101, 116, 105, 115, 95, 99, 111, 117, 110, 116, 101, 114, 115, 95, 107, 101, 121, 0, 115, 121, 109, 95, 97, 100, 100, 114, 0, 112, 105, 100, 0, 117, 54, 52, 0, 95, 95, 117, 54, 52, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 108, 111, 110, 103, 32, 108, 111, 110, 103, 0, 114, 101, 116, 105, 115, 95, 99, 111, 117, 110, 116, 101, 114, 115, 0, 100, 114, 111, 112, 112, 101, 100, 95, 101, 118, 101, 110, 116, 115, 0, 99, 111, 117, 110, 116, 101, 114, 115, 95, 109, 97, 112, 0, 101, 118, 101, 110, 116, 115, 95, 109, 97, 112, 0, 108, 111, 103, 95, 109, 97, 112, 0, 117, 51, 50, 0, 95, 95, 117, 51, 50, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 105, 110, 116, 0, 114, 101, 116, 105, 115, 95, 109, 101, 116, 97, 95, 111, 112, 0, 108, 0, 116, 0, 110, 109, 101, 109, 98, 0, 111, 102, 102, 116, 0, 98, 102, 95, 115, 105, 122, 101, 0, 117, 49, 54, 0, 95, 95, 117, 49, 54, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 115, 104, 111, 114, 116, 0, 117, 0, 115, 122, 0, 99, 109, 112, 0, 98, 105, 110, 0, 110, 117, 109, 0, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 0, 102, 114, 101, 101, 0, 112, 97, 114, 116, 105, 97, 108, 95, 102, 114, 101, 101, 0, 105, 110, 118, 95, 104, 101, 97, 100, 0, 110, 111, 95, 116, 114, 97, 99, 107, 105, 110, 103, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 105, 110, 102, 111, 0, 116, 105, 109, 101, 115, 116, 97, 109, 112, 0, 108, 97, 115, 116, 95, 115, 101, 101, 110, 0, 111, 114, 105, 103, 95, 104, 101, 97, 100, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 0, 114, 101, 116, 105, 115, 95, 112, 114, 111, 98, 101, 95, 99, 111, 110, 102, 105, 103, 0, 111, 102, 102, 115, 101, 116, 115, 0, 115, 116, 97, 99, 107, 95, 116, 114, 97, 99, 101, 0, 114, 101, 116, 105, 115, 95, 112, 114, 111, 98, 101, 95, 111, 102, 102, 115, 101, 116, 115, 0, 115, 107, 95, 98, 117, 102, 102, 0, 115, 107, 98, 95, 100, 114, 111, 112, 95, 114, 101, 97, 115, 111, 110, 0, 110, 101, 116, 95, 100, 101, 118, 105, 99, 101, 0, 110, 101, 116, 0, 110, 102, 116, 95, 112, 107, 116, 105, 110, 102, 111, 0, 110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 0, 115, 56, 0, 95, 95, 115, 56, 0, 115, 105, 103, 110, 101, 100, 32, 99, 104, 97, 114, 0, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 107, 101, 121, 95, 115, 105, 122, 101, 0, 118, 97, 108, 117, 101, 95, 115, 105, 122, 101, 0, 115, 116, 97, 99, 107, 95, 109, 97, 112, 0, 114, 101, 116, 105, 115, 95, 99, 111, 110, 116, 101, 120, 116, 0, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 0, 107, 115, 121, 109, 0, 114, 101, 103, 115, 0, 111, 114, 105, 103, 95, 99, 116, 120, 0, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116, 0, 107, 101, 114, 110, 101, 108, 95, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 0, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 75, 80, 82, 79, 66, 69, 0, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 75, 82, 69, 84, 80, 82, 79, 66, 69, 0, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 84, 82, 65, 67, 69, 80, 79, 73, 78, 84, 0, 114, 101, 116, 105, 115, 95, 114, 101, 103, 115, 0, 114, 101, 103, 0, 114, 101, 116, 0, 114, 101, 116, 105, 115, 95, 114, 97, 119, 95, 101, 118, 101, 110, 116, 0, 115, 105, 122, 101, 0, 100, 97, 116, 97, 0, 99, 116, 120, 0, 101, 118, 101, 110, 116, 0, 104, 111, 111, 107, 48, 0, 46, 116, 101, 120, 116, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 52, 46, 48, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 99, 111, 109, 109, 111, 110, 46, 104, 0, 72, 79, 79, 75, 40, 48, 41, 0, 104, 111, 111, 107, 49, 0, 72, 79, 79, 75, 40, 49, 41, 0, 104, 111, 111, 107, 50, 0, 72, 79, 79, 75, 40, 50, 41, 0, 104, 111, 111, 107, 51, 0, 72, 79, 79, 75, 40, 51, 41, 0, 104, 111, 111, 107, 52, 0, 72, 79, 79, 75, 40, 52, 41, 0, 104, 111, 111, 107, 53, 0, 72, 79, 79, 75, 40, 53, 41, 0, 104, 111, 111, 107, 54, 0, 72, 79, 79, 75, 40, 54, 41, 0, 104, 111, 111, 107, 55, 0, 72, 79, 79, 75, 40, 55, 41, 0, 104, 111, 111, 107, 56, 0, 72, 79, 79, 75, 40, 56, 41, 0, 104, 111, 111, 107, 57, 0, 72, 79, 79, 75, 40, 57, 41, 0, 112, 116, 95, 114, 101, 103, 115, 0, 114, 49, 53, 0, 114, 49, 52, 0, 114, 49, 51, 0, 114, 49, 50, 0, 98, 112, 0, 98, 120, 0, 114, 49, 49, 0, 114, 49, 48, 0, 114, 57, 0, 114, 56, 0, 97, 120, 0, 99, 120, 0, 100, 120, 0, 115, 105, 0, 100, 105, 0, 111, 114, 105, 103, 95, 97, 120, 0, 105, 112, 0, 99, 115, 0, 102, 108, 97, 103, 115, 0, 115, 112, 0, 115, 115, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 108, 111, 110, 103, 0, 112, 114, 111, 98, 101, 95, 107, 112, 114, 111, 98, 101, 0, 107, 112, 114, 111, 98, 101, 47, 112, 114, 111, 98, 101, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 52, 46, 48, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 107, 112, 114, 111, 98, 101, 46, 98, 112, 102, 46, 99, 0, 105, 110, 116, 32, 112, 114, 111, 98, 101, 95, 107, 112, 114, 111, 98, 101, 40, 115, 116, 114, 117, 99, 116, 32, 112, 116, 95, 114, 101, 103, 115, 32, 42, 99, 116, 120, 41, 0, 9, 115, 116, 114, 117, 99, 116, 32, 114, 101, 116, 105, 115, 95, 99, 111, 110, 116, 101, 120, 116, 32, 99, 111, 110, 116, 101, 120, 116, 32, 61, 32, 123, 125, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 116, 105, 109, 101, 115, 116, 97, 109, 112, 32, 61, 32, 98, 112, 102, 95, 107, 116, 105, 109, 101, 95, 103, 101, 116, 95, 110, 115, 40, 41, 59, 0, 98, 112, 102, 95, 102, 117, 110, 99, 95, 105, 100, 95, 95, 95, 120, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 95, 95, 95, 53, 95, 49, 53, 95, 48, 0, 48, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 52, 46, 48, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 104, 101, 108, 112, 101, 114, 115, 46, 104, 0, 9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 111, 114, 101, 95, 101, 110, 117, 109, 95, 118, 97, 108, 117, 101, 95, 101, 120, 105, 115, 116, 115, 40, 101, 110, 117, 109, 32, 98, 112, 102, 95, 102, 117, 110, 99, 95, 105, 100, 95, 95, 95, 120, 44, 32, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 95, 95, 95, 53, 95, 49, 53, 95, 48, 41, 41, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 98, 112, 102, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 54, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 80, 84, 95, 82, 69, 71, 83, 95, 73, 80, 40, 99, 116, 120, 41, 32, 45, 32, 49, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 32, 61, 32, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 75, 80, 82, 79, 66, 69, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 107, 115, 121, 109, 32, 61, 32, 107, 112, 114, 111, 98, 101, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 40, 99, 116, 120, 41, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 111, 114, 105, 103, 95, 99, 116, 120, 32, 61, 32, 99, 116, 120, 59, 0, 48, 58, 49, 52, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 48, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 49, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 51, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 49, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 50, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 50, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 50, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 51, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 49, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 51, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 52, 40, 99, 116, 120, 41, 59, 0, 48, 58, 57, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 52, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 53, 40, 99, 116, 120, 41, 59, 0, 9, 114, 101, 103, 115, 45, 62, 110, 117, 109, 32, 61, 32, 53, 59, 0, 9, 105, 102, 32, 40, 117, 110, 108, 105, 107, 101, 108, 121, 40, 33, 101, 110, 97, 98, 108, 101, 100, 41, 41, 32, 123, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 52, 46, 48, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 99, 111, 109, 109, 111, 110, 95, 100, 101, 102, 115, 46, 104, 0, 9, 117, 56, 32, 107, 101, 121, 32, 61, 32, 48, 59, 0, 9, 99, 102, 103, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 103, 108, 111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 44, 32, 38, 107, 101, 121, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 99, 102, 103, 32, 38, 38, 32, 33, 33, 99, 102, 103, 45, 62, 101, 110, 97, 98, 108, 101, 100, 59, 0, 9, 9, 101, 110, 97, 98, 108, 101, 100, 32, 61, 32, 99, 111, 108, 108, 101, 99, 116, 105, 111, 110, 95, 101, 110, 97, 98, 108, 101, 100, 40, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 101, 110, 97, 98, 108, 101, 100, 41, 0, 9, 99, 102, 103, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 44, 32, 38, 99, 116, 120, 45, 62, 107, 115, 121, 109, 41, 59, 0, 9, 105, 102, 32, 40, 33, 99, 102, 103, 41, 0, 9, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 115, 32, 61, 32, 99, 102, 103, 45, 62, 111, 102, 102, 115, 101, 116, 115, 59, 0, 9, 115, 116, 114, 117, 99, 116, 32, 114, 101, 116, 105, 115, 95, 112, 97, 99, 107, 101, 116, 95, 102, 105, 108, 116, 101, 114, 95, 99, 116, 120, 32, 102, 99, 116, 120, 32, 61, 32, 123, 125, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 52, 46, 48, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 114, 101, 116, 105, 115, 95, 99, 111, 110, 116, 101, 120, 116, 46, 104, 0, 9, 115, 107, 98, 32, 61, 32, 95, 95, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 115, 107, 95, 98, 117, 102, 102, 40, 99, 116, 120, 41, 59, 0, 9, 105, 102, 32, 40, 33, 115, 107, 98, 41, 32, 123, 0, 116, 114, 97, 99, 101, 0, 110, 102, 95, 116, 114, 97, 99, 101, 0, 112, 97, 99, 107, 101, 116, 95, 100, 117, 109, 112, 101, 100, 0, 115, 107, 98, 105, 100, 0, 112, 107, 116, 0, 98, 97, 115, 101, 99, 104, 97, 105, 110, 0, 99, 104, 97, 105, 110, 0, 114, 117, 108, 101, 0, 118, 101, 114, 100, 105, 99, 116, 0, 98, 111, 111, 108, 0, 95, 66, 111, 111, 108, 0, 110, 102, 116, 95, 116, 114, 97, 99, 101, 95, 116, 121, 112, 101, 115, 0, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 85, 78, 83, 80, 69, 67, 0, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 80, 79, 76, 73, 67, 89, 0, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 82, 69, 84, 85, 82, 78, 0, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 82, 85, 76, 69, 0, 95, 95, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 77, 65, 88, 0, 9, 9, 105, 102, 32, 40, 33, 98, 112, 102, 95, 99, 111, 114, 101, 95, 116, 121, 112, 101, 95, 101, 120, 105, 115, 116, 115, 40, 115, 116, 114, 117, 99, 116, 32, 110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 41, 32, 124, 124, 0, 115, 107, 98, 0, 115, 116, 97, 116, 101, 0, 116, 112, 114, 111, 116, 0, 102, 114, 97, 103, 111, 102, 102, 0, 116, 104, 111, 102, 102, 0, 105, 110, 110, 101, 114, 111, 102, 102, 0, 9, 9, 105, 110, 102, 111, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 40, 99, 116, 120, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 105, 110, 102, 111, 41, 0, 48, 58, 53, 0, 9, 9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 111, 114, 101, 95, 102, 105, 101, 108, 100, 95, 101, 120, 105, 115, 116, 115, 40, 105, 110, 102, 111, 45, 62, 112, 107, 116, 41, 41, 0, 9, 9, 9, 112, 107, 116, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 105, 110, 102, 111, 44, 32, 112, 107, 116, 41, 59, 0, 9, 9, 105, 102, 32, 40, 112, 107, 116, 41, 0, 9, 9, 9, 112, 107, 116, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 110, 102, 116, 95, 112, 107, 116, 105, 110, 102, 111, 40, 99, 116, 120, 41, 59, 0, 48, 58, 48, 0, 9, 9, 9, 115, 107, 98, 32, 61, 32, 40, 115, 116, 114, 117, 99, 116, 32, 115, 107, 95, 98, 117, 102, 102, 32, 42, 41, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 112, 107, 116, 44, 32, 115, 107, 98, 41, 59, 0, 9, 105, 102, 32, 40, 33, 115, 107, 98, 41, 0, 99, 98, 0, 95, 110, 102, 99, 116, 0, 108, 101, 110, 0, 100, 97, 116, 97, 95, 108, 101, 110, 0, 109, 97, 99, 95, 108, 101, 110, 0, 104, 100, 114, 95, 108, 101, 110, 0, 113, 117, 101, 117, 101, 95, 109, 97, 112, 112, 105, 110, 103, 0, 95, 95, 99, 108, 111, 110, 101, 100, 95, 111, 102, 102, 115, 101, 116, 0, 99, 108, 111, 110, 101, 100, 0, 110, 111, 104, 100, 114, 0, 102, 99, 108, 111, 110, 101, 0, 112, 101, 101, 107, 101, 100, 0, 104, 101, 97, 100, 95, 102, 114, 97, 103, 0, 112, 102, 109, 101, 109, 97, 108, 108, 111, 99, 0, 112, 112, 95, 114, 101, 99, 121, 99, 108, 101, 0, 97, 99, 116, 105, 118, 101, 95, 101, 120, 116, 101, 110, 115, 105, 111, 110, 115, 0, 116, 97, 105, 108, 0, 101, 110, 100, 0, 104, 101, 97, 100, 0, 116, 114, 117, 101, 115, 105, 122, 101, 0, 117, 115, 101, 114, 115, 0, 101, 120, 116, 101, 110, 115, 105, 111, 110, 115, 0, 114, 98, 110, 111, 100, 101, 0, 108, 105, 115, 116, 0, 108, 108, 95, 110, 111, 100, 101, 0, 110, 101, 120, 116, 0, 112, 114, 101, 118, 0, 100, 101, 118, 0, 100, 101, 118, 95, 115, 99, 114, 97, 116, 99, 104, 0, 114, 98, 95, 110, 111, 100, 101, 0, 95, 95, 114, 98, 95, 112, 97, 114, 101, 110, 116, 95, 99, 111, 108, 111, 114, 0, 114, 98, 95, 114, 105, 103, 104, 116, 0, 114, 98, 95, 108, 101, 102, 116, 0, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 108, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 115, 107, 0, 105, 112, 95, 100, 101, 102, 114, 97, 103, 95, 111, 102, 102, 115, 101, 116, 0, 116, 115, 116, 97, 109, 112, 0, 115, 107, 98, 95, 109, 115, 116, 97, 109, 112, 95, 110, 115, 0, 107, 116, 105, 109, 101, 95, 116, 0, 115, 54, 52, 0, 95, 95, 115, 54, 52, 0, 108, 111, 110, 103, 32, 108, 111, 110, 103, 0, 99, 104, 97, 114, 0, 116, 99, 112, 95, 116, 115, 111, 114, 116, 101, 100, 95, 97, 110, 99, 104, 111, 114, 0, 95, 115, 107, 95, 114, 101, 100, 105, 114, 0, 95, 115, 107, 98, 95, 114, 101, 102, 100, 115, 116, 0, 100, 101, 115, 116, 114, 117, 99, 116, 111, 114, 0, 104, 101, 97, 100, 101, 114, 115, 0, 95, 95, 112, 107, 116, 95, 116, 121, 112, 101, 95, 111, 102, 102, 115, 101, 116, 0, 112, 107, 116, 95, 116, 121, 112, 101, 0, 105, 103, 110, 111, 114, 101, 95, 100, 102, 0, 105, 112, 95, 115, 117, 109, 109, 101, 100, 0, 111, 111, 111, 95, 111, 107, 97, 121, 0, 108, 52, 95, 104, 97, 115, 104, 0, 115, 119, 95, 104, 97, 115, 104, 0, 119, 105, 102, 105, 95, 97, 99, 107, 101, 100, 95, 118, 97, 108, 105, 100, 0, 119, 105, 102, 105, 95, 97, 99, 107, 101, 100, 0, 110, 111, 95, 102, 99, 115, 0, 101, 110, 99, 97, 112, 115, 117, 108, 97, 116, 105, 111, 110, 0, 101, 110, 99, 97, 112, 95, 104, 100, 114, 95, 99, 115, 117, 109, 0, 99, 115, 117, 109, 95, 118, 97, 108, 105, 100, 0, 95, 95, 112, 107, 116, 95, 118, 108, 97, 110, 95, 112, 114, 101, 115, 101, 110, 116, 95, 111, 102, 102, 115, 101, 116, 0, 114, 101, 109, 99, 115, 117, 109, 95, 111, 102, 102, 108, 111, 97, 100, 0, 99, 115, 117, 109, 95, 99, 111, 109, 112, 108, 101, 116, 101, 95, 115, 119, 0, 99, 115, 117, 109, 95, 108, 101, 118, 101, 108, 0, 100, 115, 116, 95, 112, 101, 110, 100, 105, 110, 103, 95, 99, 111, 110, 102, 105, 114, 109, 0, 109, 111, 110, 111, 95, 100, 101, 108, 105, 118, 101, 114, 121, 95, 116, 105, 109, 101, 0, 116, 99, 95, 115, 107, 105, 112, 95, 99, 108, 97, 115, 115, 105, 102, 121, 0, 116, 99, 95, 97, 116, 95, 105, 110, 103, 114, 101, 115, 115, 0, 110, 100, 105, 115, 99, 95, 110, 111, 100, 101, 116, 121, 112, 101, 0, 105, 112, 118, 115, 95, 112, 114, 111, 112, 101, 114, 116, 121, 0, 105, 110, 110, 101, 114, 95, 112, 114, 111, 116, 111, 99, 111, 108, 95, 116, 121, 112, 101, 0, 111, 102, 102, 108, 111, 97, 100, 95, 102, 119, 100, 95, 109, 97, 114, 107, 0, 111, 102, 102, 108, 111, 97, 100, 95, 108, 51, 95, 102, 119, 100, 95, 109, 97, 114, 107, 0, 114, 101, 100, 105, 114, 101, 99, 116, 101, 100, 0, 102, 114, 111, 109, 95, 105, 110, 103, 114, 101, 115, 115, 0, 110, 102, 95, 115, 107, 105, 112, 95, 101, 103, 114, 101, 115, 115, 0, 100, 101, 99, 114, 121, 112, 116, 101, 100, 0, 115, 108, 111, 119, 95, 103, 114, 111, 0, 99, 115, 117, 109, 95, 110, 111, 116, 95, 105, 110, 101, 116, 0, 115, 99, 109, 95, 105, 111, 95, 117, 114, 105, 110, 103, 0, 116, 99, 95, 105, 110, 100, 101, 120, 0, 112, 114, 105, 111, 114, 105, 116, 121, 0, 115, 107, 98, 95, 105, 105, 102, 0, 104, 97, 115, 104, 0, 97, 108, 108, 111, 99, 95, 99, 112, 117, 0, 115, 101, 99, 109, 97, 114, 107, 0, 105, 110, 110, 101, 114, 95, 116, 114, 97, 110, 115, 112, 111, 114, 116, 95, 104, 101, 97, 100, 101, 114, 0, 105, 110, 110, 101, 114, 95, 110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114, 0, 105, 110, 110, 101, 114, 95, 109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 0, 112, 114, 111, 116, 111, 99, 111, 108, 0, 116, 114, 97, 110, 115, 112, 111, 114, 116, 95, 104, 101, 97, 100, 101, 114, 0, 110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114, 0, 109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 0, 99, 115, 117, 109, 0, 95, 95, 119, 115, 117, 109, 0, 99, 115, 117, 109, 95, 115, 116, 97, 114, 116, 0, 99, 115, 117, 109, 95, 111, 102, 102, 115, 101, 116, 0, 118, 108, 97, 110, 95, 97, 108, 108, 0, 118, 108, 97, 110, 95, 112, 114, 111, 116, 111, 0, 118, 108, 97, 110, 95, 116, 99, 105, 0, 95, 95, 98, 101, 49, 54, 0, 110, 97, 112, 105, 95, 105, 100, 0, 115, 101, 110, 100, 101, 114, 95, 99, 112, 117, 0, 109, 97, 114, 107, 0, 114, 101, 115, 101, 114, 118, 101, 100, 95, 116, 97, 105, 108, 114, 111, 111, 109, 0, 105, 110, 110, 101, 114, 95, 112, 114, 111, 116, 111, 99, 111, 108, 0, 105, 110, 110, 101, 114, 95, 105, 112, 112, 114, 111, 116, 111, 0, 115, 107, 95, 98, 117, 102, 102, 95, 100, 97, 116, 97, 95, 116, 0, 114, 101, 102, 99, 111, 117, 110, 116, 95, 116, 0, 114, 101, 102, 99, 111, 117, 110, 116, 95, 115, 116, 114, 117, 99, 116, 0, 114, 101, 102, 115, 0, 97, 116, 111, 109, 105, 99, 95, 116, 0, 99, 111, 117, 110, 116, 101, 114, 0, 48, 58, 50, 51, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 52, 46, 48, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 116, 114, 97, 99, 107, 105, 110, 103, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 115, 107, 98, 95, 116, 114, 97, 99, 107, 105, 110, 103, 46, 104, 0, 9, 104, 101, 97, 100, 32, 61, 32, 40, 117, 54, 52, 41, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 104, 101, 97, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 104, 101, 97, 100, 41, 0, 9, 104, 101, 97, 100, 32, 61, 32, 40, 99, 104, 97, 114, 32, 42, 41, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 104, 101, 97, 100, 41, 59, 0, 48, 58, 54, 0, 9, 102, 99, 116, 120, 46, 108, 101, 110, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 108, 101, 110, 41, 59, 0, 48, 58, 50, 48, 58, 48, 58, 53, 49, 0, 9, 109, 97, 99, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 48, 58, 50, 48, 58, 48, 58, 53, 48, 0, 9, 110, 101, 116, 119, 111, 114, 107, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 105, 115, 95, 109, 97, 99, 95, 118, 97, 108, 105, 100, 40, 109, 97, 99, 41, 32, 38, 38, 0, 9, 114, 101, 116, 117, 114, 110, 32, 110, 101, 116, 119, 111, 114, 107, 32, 38, 38, 32, 33, 73, 83, 95, 85, 78, 83, 69, 84, 40, 110, 101, 116, 119, 111, 114, 107, 41, 59, 0, 9, 32, 32, 32, 32, 32, 32, 32, 33, 40, 105, 115, 95, 110, 101, 116, 119, 111, 114, 107, 95, 118, 97, 108, 105, 100, 40, 110, 101, 116, 119, 111, 114, 107, 41, 32, 38, 38, 32, 110, 101, 116, 119, 111, 114, 107, 32, 61, 61, 32, 109, 97, 99, 32, 38, 38, 0, 48, 58, 56, 0, 9, 9, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99, 95, 108, 101, 110, 41, 32, 61, 61, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 105, 115, 95, 109, 97, 99, 95, 100, 97, 116, 97, 95, 118, 97, 108, 105, 100, 40, 115, 107, 98, 41, 41, 32, 123, 0, 9, 9, 102, 99, 116, 120, 46, 100, 97, 116, 97, 32, 61, 32, 104, 101, 97, 100, 32, 43, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 52, 46, 48, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 102, 105, 108, 116, 101, 114, 115, 47, 112, 97, 99, 107, 101, 116, 115, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 112, 97, 99, 107, 101, 116, 95, 102, 105, 108, 116, 101, 114, 46, 104, 0, 9, 102, 112, 32, 61, 32, 40, 117, 54, 52, 32, 42, 41, 40, 40, 118, 111, 105, 100, 32, 42, 41, 115, 116, 97, 99, 107, 32, 43, 32, 115, 105, 122, 101, 111, 102, 40, 115, 116, 97, 99, 107, 41, 41, 59, 0, 9, 97, 115, 109, 32, 118, 111, 108, 97, 116, 105, 108, 101, 32, 40, 0, 9, 114, 101, 116, 117, 114, 110, 32, 105, 115, 95, 110, 101, 116, 119, 111, 114, 107, 95, 118, 97, 108, 105, 100, 40, 110, 101, 116, 119, 111, 114, 107, 41, 32, 38, 38, 0, 9, 32, 32, 32, 32, 32, 32, 32, 33, 40, 105, 115, 95, 109, 97, 99, 95, 118, 97, 108, 105, 100, 40, 109, 97, 99, 41, 32, 38, 38, 32, 109, 97, 99, 32, 61, 61, 32, 110, 101, 116, 119, 111, 114, 107, 32, 38, 38, 0, 9, 9, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99, 95, 108, 101, 110, 41, 32, 33, 61, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 33, 105, 115, 95, 110, 101, 116, 119, 111, 114, 107, 95, 100, 97, 116, 97, 95, 118, 97, 108, 105, 100, 40, 115, 107, 98, 41, 41, 0, 9, 102, 99, 116, 120, 46, 100, 97, 116, 97, 32, 61, 32, 104, 101, 97, 100, 32, 43, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 9, 99, 116, 120, 45, 62, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116, 32, 124, 61, 32, 40, 33, 33, 102, 99, 116, 120, 46, 114, 101, 116, 41, 32, 60, 60, 32, 82, 69, 84, 73, 83, 95, 70, 95, 80, 65, 67, 75, 69, 84, 95, 80, 65, 83, 83, 95, 83, 72, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 52, 46, 48, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 102, 105, 108, 116, 101, 114, 115, 47, 109, 101, 116, 97, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 109, 101, 116, 97, 95, 102, 105, 108, 116, 101, 114, 46, 104, 0, 9, 105, 102, 32, 40, 33, 110, 109, 101, 116, 97, 32, 124, 124, 32, 110, 109, 101, 116, 97, 32, 62, 32, 77, 69, 84, 65, 95, 79, 80, 83, 95, 77, 65, 88, 41, 0, 9, 117, 51, 50, 32, 107, 32, 61, 32, 48, 59, 0, 9, 118, 97, 108, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 44, 32, 38, 107, 41, 59, 0, 9, 105, 102, 32, 40, 33, 118, 97, 108, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 116, 97, 114, 103, 101, 116, 34, 41, 59, 0, 9, 99, 116, 120, 45, 62, 115, 122, 32, 61, 32, 118, 97, 108, 45, 62, 116, 46, 115, 122, 59, 0, 9, 99, 116, 120, 45, 62, 99, 109, 112, 32, 61, 32, 118, 97, 108, 45, 62, 116, 46, 99, 109, 112, 59, 0, 9, 102, 111, 114, 32, 40, 105, 32, 61, 32, 49, 44, 32, 107, 32, 61, 32, 49, 59, 32, 105, 32, 60, 32, 110, 109, 101, 116, 97, 59, 32, 107, 43, 43, 44, 32, 105, 43, 43, 41, 32, 123, 0, 9, 9, 99, 116, 120, 45, 62, 98, 102, 115, 32, 61, 32, 118, 97, 108, 45, 62, 108, 46, 98, 102, 95, 115, 105, 122, 101, 59, 0, 9, 9, 99, 116, 120, 45, 62, 110, 109, 101, 109, 98, 32, 61, 32, 118, 97, 108, 45, 62, 108, 46, 110, 109, 101, 109, 98, 59, 0, 9, 105, 102, 32, 40, 99, 116, 120, 46, 116, 121, 112, 101, 32, 38, 32, 80, 84, 82, 95, 66, 73, 84, 32, 124, 124, 32, 99, 116, 120, 46, 110, 109, 101, 109, 98, 32, 62, 32, 48, 41, 0, 9, 115, 122, 32, 61, 32, 99, 116, 120, 45, 62, 110, 109, 101, 109, 98, 32, 63, 32, 58, 32, 99, 116, 120, 45, 62, 115, 122, 59, 0, 9, 9, 118, 97, 108, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 44, 32, 38, 107, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 118, 97, 108, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 118, 97, 108, 45, 62, 108, 46, 116, 121, 112, 101, 32, 61, 61, 32, 80, 84, 82, 95, 66, 73, 84, 41, 32, 123, 0, 9, 9, 9, 9, 9, 9, 32, 32, 40, 99, 104, 97, 114, 32, 42, 41, 99, 116, 120, 45, 62, 98, 97, 115, 101, 32, 43, 32, 40, 118, 97, 108, 45, 62, 108, 46, 111, 102, 102, 116, 41, 41, 32, 124, 124, 0, 9, 9, 9, 105, 102, 32, 40, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 107, 101, 114, 110, 101, 108, 40, 38, 112, 116, 114, 44, 32, 115, 105, 122, 101, 111, 102, 40, 118, 111, 105, 100, 32, 42, 41, 44, 0, 9, 117, 54, 52, 32, 116, 118, 97, 108, 44, 32, 109, 118, 97, 108, 32, 61, 32, 48, 59, 0, 9, 105, 102, 32, 40, 99, 116, 120, 45, 62, 98, 102, 115, 41, 32, 123, 0, 9, 9, 111, 102, 102, 115, 101, 116, 32, 61, 32, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 32, 47, 32, 56, 59, 0, 9, 9, 115, 122, 32, 61, 32, 68, 73, 86, 95, 67, 69, 73, 76, 40, 40, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 32, 45, 32, 111, 102, 102, 115, 101, 116, 32, 42, 32, 56, 85, 41, 32, 43, 32, 99, 116, 120, 45, 62, 98, 102, 115, 44, 32, 56, 41, 59, 0, 9, 115, 122, 32, 61, 32, 77, 73, 78, 40, 115, 122, 44, 32, 115, 105, 122, 101, 111, 102, 40, 109, 118, 97, 108, 41, 41, 59, 0, 9, 105, 102, 32, 40, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 107, 101, 114, 110, 101, 108, 40, 38, 109, 118, 97, 108, 44, 32, 115, 122, 44, 32, 40, 99, 104, 97, 114, 32, 42, 41, 99, 116, 120, 45, 62, 98, 97, 115, 101, 32, 43, 32, 111, 102, 102, 115, 101, 116, 41, 41, 0, 9, 105, 102, 32, 40, 99, 116, 120, 45, 62, 98, 102, 115, 41, 0, 9, 118, 97, 108, 32, 60, 60, 61, 32, 40, 54, 52, 32, 45, 32, 98, 105, 116, 95, 115, 122, 41, 32, 45, 32, 40, 98, 105, 116, 95, 111, 102, 102, 32, 32, 37, 32, 56, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 104, 97, 115, 95, 115, 105, 103, 110, 32, 63, 32, 40, 115, 54, 52, 41, 118, 97, 108, 32, 62, 62, 32, 40, 54, 52, 32, 45, 32, 98, 105, 116, 95, 115, 122, 41, 32, 58, 32, 118, 97, 108, 32, 62, 62, 32, 40, 54, 52, 32, 45, 32, 98, 105, 116, 95, 115, 122, 41, 59, 0, 9, 98, 111, 111, 108, 32, 115, 105, 103, 110, 95, 98, 105, 116, 32, 61, 32, 99, 116, 120, 45, 62, 116, 121, 112, 101, 32, 38, 32, 83, 73, 71, 78, 95, 66, 73, 84, 59, 0, 9, 9, 109, 118, 97, 108, 32, 61, 32, 101, 120, 116, 114, 97, 99, 116, 95, 98, 102, 40, 109, 118, 97, 108, 44, 32, 115, 105, 103, 110, 95, 98, 105, 116, 44, 32, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 44, 32, 99, 116, 120, 45, 62, 98, 102, 115, 41, 59, 0, 9, 116, 118, 97, 108, 32, 61, 32, 42, 40, 40, 117, 54, 52, 32, 42, 41, 99, 116, 120, 45, 62, 100, 97, 116, 97, 41, 59, 0, 9, 115, 119, 105, 116, 99, 104, 32, 40, 99, 109, 112, 95, 116, 121, 112, 101, 41, 32, 123, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 115, 105, 103, 110, 95, 98, 105, 116, 0, 9, 115, 122, 32, 61, 32, 77, 73, 78, 40, 115, 122, 44, 32, 115, 105, 122, 101, 111, 102, 40, 118, 97, 108, 41, 41, 59, 0, 9, 105, 102, 32, 40, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 107, 101, 114, 110, 101, 108, 95, 115, 116, 114, 40, 118, 97, 108, 44, 32, 115, 122, 44, 32, 40, 99, 104, 97, 114, 32, 42, 41, 99, 116, 120, 45, 62, 98, 97, 115, 101, 32, 43, 32, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 41, 32, 60, 32, 48, 41, 0, 9, 119, 104, 105, 108, 101, 32, 40, 115, 122, 45, 45, 32, 62, 32, 48, 32, 38, 38, 32, 42, 115, 112, 49, 32, 38, 38, 32, 42, 115, 112, 50, 32, 38, 38, 32, 33, 40, 42, 115, 112, 49, 32, 45, 32, 42, 115, 112, 50, 41, 41, 0, 9, 9, 115, 112, 49, 43, 43, 44, 32, 115, 112, 50, 43, 43, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 33, 40, 42, 115, 112, 49, 32, 45, 32, 42, 115, 112, 50, 41, 59, 0, 9, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 109, 101, 109, 98, 101, 114, 32, 97, 116, 32, 105, 110, 100, 101, 120, 32, 37, 117, 34, 44, 32, 105, 41, 59, 0, 9, 105, 102, 32, 40, 33, 115, 122, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 101, 114, 114, 111, 114, 32, 119, 104, 105, 108, 101, 32, 99, 97, 108, 99, 117, 108, 97, 116, 105, 110, 103, 32, 98, 121, 116, 101, 115, 32, 116, 111, 32, 114, 101, 97, 100, 32, 40, 122, 101, 114, 111, 32, 110, 111, 116, 32, 97, 108, 108, 111, 119, 101, 100, 41, 34, 41, 59, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 40, 111, 112, 101, 114, 97, 110, 100, 49, 32, 33, 61, 32, 111, 112, 101, 114, 97, 110, 100, 50, 41, 59, 0, 9, 101, 108, 115, 101, 32, 105, 102, 32, 40, 115, 105, 103, 110, 95, 98, 105, 116, 41, 0, 9, 115, 119, 105, 116, 99, 104, 32, 40, 115, 122, 41, 32, 123, 0, 9, 9, 114, 101, 116, 32, 61, 32, 40, 117, 54, 52, 41, 40, 115, 51, 50, 41, 118, 97, 108, 59, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 40, 111, 112, 101, 114, 97, 110, 100, 49, 32, 61, 61, 32, 111, 112, 101, 114, 97, 110, 100, 50, 41, 59, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 87, 114, 111, 110, 103, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 32, 111, 112, 101, 114, 97, 116, 111, 114, 32, 37, 100, 34, 44, 32, 99, 109, 112, 95, 116, 121, 112, 101, 41, 59, 0, 9, 99, 116, 120, 45, 62, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116, 32, 124, 61, 32, 40, 33, 33, 109, 101, 116, 97, 95, 102, 105, 108, 116, 101, 114, 40, 115, 107, 98, 41, 41, 32, 60, 60, 32, 82, 69, 84, 73, 83, 95, 70, 95, 77, 69, 84, 65, 95, 80, 65, 83, 83, 95, 83, 72, 59, 0, 9, 9, 114, 101, 116, 32, 61, 32, 40, 117, 54, 52, 41, 40, 115, 49, 54, 41, 118, 97, 108, 59, 0, 9, 9, 114, 101, 116, 32, 61, 32, 40, 117, 54, 52, 41, 40, 115, 56, 41, 118, 97, 108, 59, 0, 9, 9, 109, 118, 97, 108, 32, 61, 32, 102, 105, 120, 117, 112, 95, 115, 105, 103, 110, 101, 100, 40, 109, 118, 97, 108, 44, 32, 115, 122, 41, 59, 0, 9, 116, 105, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 38, 104, 101, 97, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 116, 105, 41, 0, 9, 105, 102, 32, 40, 82, 69, 84, 73, 83, 95, 84, 82, 65, 67, 75, 65, 66, 76, 69, 40, 99, 116, 120, 45, 62, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116, 41, 41, 0, 9, 117, 54, 52, 32, 104, 101, 97, 100, 44, 32, 107, 115, 121, 109, 32, 61, 32, 99, 116, 120, 45, 62, 107, 115, 121, 109, 59, 0, 9, 115, 107, 98, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 115, 107, 95, 98, 117, 102, 102, 40, 99, 116, 120, 41, 59, 0, 9, 9, 116, 105, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 40, 117, 54, 52, 32, 42, 41, 38, 115, 107, 98, 41, 59, 0, 9, 105, 102, 32, 40, 115, 107, 98, 95, 105, 115, 95, 116, 114, 97, 99, 107, 101, 100, 40, 115, 107, 98, 41, 41, 32, 123, 0, 9, 99, 102, 103, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 44, 32, 38, 107, 115, 121, 109, 41, 59, 0, 9, 105, 102, 32, 40, 99, 102, 103, 41, 32, 123, 0, 9, 9, 110, 111, 95, 116, 114, 97, 99, 107, 105, 110, 103, 32, 61, 32, 99, 102, 103, 45, 62, 110, 111, 95, 116, 114, 97, 99, 107, 105, 110, 103, 59, 0, 9, 9, 105, 110, 118, 95, 104, 101, 97, 100, 32, 61, 32, 99, 102, 103, 45, 62, 105, 110, 118, 95, 104, 101, 97, 100, 59, 0, 9, 105, 102, 32, 40, 33, 116, 105, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 116, 105, 41, 32, 123, 0, 9, 9, 9, 98, 112, 102, 95, 109, 97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 40, 117, 54, 52, 32, 42, 41, 38, 115, 107, 98, 41, 59, 0, 9, 9, 105, 102, 32, 40, 110, 111, 95, 116, 114, 97, 99, 107, 105, 110, 103, 41, 0, 9, 9, 116, 105, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 32, 61, 32, 99, 116, 120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 9, 116, 105, 45, 62, 108, 97, 115, 116, 95, 115, 101, 101, 110, 32, 61, 32, 99, 116, 120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 9, 116, 105, 45, 62, 111, 114, 105, 103, 95, 104, 101, 97, 100, 32, 61, 32, 104, 101, 97, 100, 59, 0, 9, 116, 105, 45, 62, 108, 97, 115, 116, 95, 115, 101, 101, 110, 32, 61, 32, 99, 116, 120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 105, 102, 32, 40, 105, 110, 118, 95, 104, 101, 97, 100, 41, 0, 9, 9, 98, 112, 102, 95, 109, 97, 112, 95, 117, 112, 100, 97, 116, 101, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 40, 117, 54, 52, 32, 42, 41, 38, 115, 107, 98, 44, 32, 116, 105, 44, 32, 66, 80, 70, 95, 78, 79, 69, 88, 73, 83, 84, 41, 59, 0, 9, 105, 102, 32, 40, 110, 104, 111, 111, 107, 115, 32, 61, 61, 32, 48, 41, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 52, 46, 48, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 101, 118, 101, 110, 116, 115, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 101, 118, 101, 110, 116, 115, 46, 104, 0, 9, 101, 118, 101, 110, 116, 32, 61, 32, 98, 112, 102, 95, 114, 105, 110, 103, 98, 117, 102, 95, 114, 101, 115, 101, 114, 118, 101, 40, 38, 101, 118, 101, 110, 116, 115, 95, 109, 97, 112, 44, 32, 115, 105, 122, 101, 111, 102, 40, 42, 101, 118, 101, 110, 116, 41, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 33, 101, 118, 101, 110, 116, 41, 0, 9, 9, 101, 114, 114, 95, 114, 101, 112, 111, 114, 116, 40, 99, 116, 120, 45, 62, 107, 115, 121, 109, 44, 32, 48, 41, 59, 0, 9, 107, 101, 121, 46, 115, 121, 109, 95, 97, 100, 100, 114, 32, 61, 32, 115, 121, 109, 95, 97, 100, 100, 114, 59, 0, 9, 107, 101, 121, 46, 112, 105, 100, 32, 61, 32, 112, 105, 100, 59, 0, 9, 101, 114, 114, 95, 99, 111, 117, 110, 116, 101, 114, 115, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 99, 111, 117, 110, 116, 101, 114, 115, 95, 109, 97, 112, 44, 32, 38, 107, 101, 121, 41, 59, 0, 9, 105, 102, 32, 40, 101, 114, 114, 95, 99, 111, 117, 110, 116, 101, 114, 115, 41, 0, 9, 9, 95, 95, 115, 121, 110, 99, 95, 102, 101, 116, 99, 104, 95, 97, 110, 100, 95, 97, 100, 100, 40, 38, 101, 114, 114, 95, 99, 111, 117, 110, 116, 101, 114, 115, 45, 62, 100, 114, 111, 112, 112, 101, 100, 95, 101, 118, 101, 110, 116, 115, 44, 32, 49, 41, 59, 0, 9, 104, 101, 97, 100, 101, 114, 45, 62, 115, 105, 122, 101, 32, 61, 32, 115, 105, 122, 101, 59, 0, 9, 104, 101, 97, 100, 101, 114, 45, 62, 111, 119, 110, 101, 114, 32, 61, 32, 111, 119, 110, 101, 114, 59, 0, 9, 104, 101, 97, 100, 101, 114, 45, 62, 100, 97, 116, 97, 95, 116, 121, 112, 101, 32, 61, 32, 100, 97, 116, 97, 95, 116, 121, 112, 101, 59, 0, 9, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 32, 43, 61, 32, 115, 105, 122, 101, 111, 102, 40, 42, 104, 101, 97, 100, 101, 114, 41, 32, 43, 32, 115, 105, 122, 101, 59, 0, 9, 101, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 32, 61, 32, 99, 116, 120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 101, 45, 62, 115, 109, 112, 95, 105, 100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 115, 109, 112, 95, 112, 114, 111, 99, 101, 115, 115, 111, 114, 95, 105, 100, 40, 41, 59, 0, 9, 117, 49, 54, 32, 108, 101, 102, 116, 32, 61, 32, 82, 65, 87, 95, 69, 86, 69, 78, 84, 95, 68, 65, 84, 65, 95, 83, 73, 90, 69, 32, 45, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 59, 0, 9, 105, 102, 32, 40, 115, 105, 122, 101, 111, 102, 40, 42, 104, 101, 97, 100, 101, 114, 41, 32, 43, 32, 115, 105, 122, 101, 32, 62, 32, 108, 101, 102, 116, 32, 124, 124, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 32, 62, 32, 115, 105, 122, 101, 111, 102, 40, 101, 118, 101, 110, 116, 45, 62, 100, 97, 116, 97, 41, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 103, 101, 116, 32, 101, 118, 101, 110, 116, 32, 115, 101, 99, 116, 105, 111, 110, 58, 32, 110, 111, 32, 115, 112, 97, 99, 101, 32, 108, 101, 102, 116, 34, 41, 59, 0, 9, 98, 112, 102, 95, 114, 105, 110, 103, 98, 117, 102, 95, 100, 105, 115, 99, 97, 114, 100, 40, 101, 118, 101, 110, 116, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 33, 99, 102, 103, 45, 62, 102, 114, 101, 101, 41, 0, 9, 9, 9, 40, 101, 118, 101, 110, 116, 45, 62, 100, 97, 116, 97, 32, 43, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 41, 59, 0, 9, 95, 95, 98, 117, 105, 108, 116, 105, 110, 95, 109, 101, 109, 115, 101, 116, 40, 115, 101, 99, 116, 105, 111, 110, 44, 32, 48, 44, 32, 115, 105, 122, 101, 41, 59, 0, 9, 116, 105, 45, 62, 112, 105, 100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 112, 105, 100, 95, 116, 103, 105, 100, 40, 41, 59, 0, 9, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 99, 111, 109, 109, 40, 116, 105, 45, 62, 99, 111, 109, 109, 44, 32, 115, 105, 122, 101, 111, 102, 40, 116, 105, 45, 62, 99, 111, 109, 109, 41, 41, 59, 0, 9, 107, 45, 62, 115, 121, 109, 98, 111, 108, 32, 61, 32, 99, 116, 120, 45, 62, 107, 115, 121, 109, 59, 0, 9, 107, 45, 62, 116, 121, 112, 101, 32, 61, 32, 99, 116, 120, 45, 62, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 59, 0, 9, 105, 102, 32, 40, 99, 102, 103, 45, 62, 115, 116, 97, 99, 107, 95, 116, 114, 97, 99, 101, 41, 0, 9, 9, 107, 45, 62, 115, 116, 97, 99, 107, 95, 105, 100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 115, 116, 97, 99, 107, 105, 100, 40, 99, 116, 120, 45, 62, 111, 114, 105, 103, 95, 99, 116, 120, 44, 32, 38, 115, 116, 97, 99, 107, 95, 109, 97, 112, 44, 32, 66, 80, 70, 95, 70, 95, 70, 65, 83, 84, 95, 83, 84, 65, 67, 75, 95, 67, 77, 80, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 59, 0, 9, 112, 97, 115, 115, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 32, 61, 32, 103, 101, 116, 95, 101, 118, 101, 110, 116, 95, 115, 105, 122, 101, 40, 101, 118, 101, 110, 116, 41, 59, 0, 9, 98, 97, 114, 114, 105, 101, 114, 95, 118, 97, 114, 40, 112, 97, 115, 115, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 41, 59, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 48, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 49, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 50, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 51, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 52, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 53, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 54, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 55, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 56, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 57, 41, 0, 9, 105, 102, 32, 40, 103, 101, 116, 95, 101, 118, 101, 110, 116, 95, 115, 105, 122, 101, 40, 101, 118, 101, 110, 116, 41, 32, 62, 32, 112, 97, 115, 115, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 41, 0, 9, 98, 112, 102, 95, 114, 105, 110, 103, 98, 117, 102, 95, 115, 117, 98, 109, 105, 116, 40, 101, 118, 101, 110, 116, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 99, 102, 103, 45, 62, 112, 97, 114, 116, 105, 97, 108, 95, 102, 114, 101, 101, 41, 32, 123, 0, 9, 9, 98, 111, 111, 108, 32, 115, 116, 111, 108, 101, 110, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 112, 97, 114, 97, 109, 40, 99, 116, 120, 44, 32, 49, 44, 32, 98, 111, 111, 108, 41, 59, 0, 9, 98, 112, 102, 95, 109, 97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 38, 104, 101, 97, 100, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 99, 104, 97, 105, 110, 40, 38, 99, 111, 110, 116, 101, 120, 116, 41, 59, 0, 108, 111, 103, 95, 108, 101, 118, 101, 108, 0, 110, 109, 101, 116, 97, 0, 110, 104, 111, 111, 107, 115, 0, 95, 95, 108, 105, 99, 101, 110, 115, 101, 0, 99, 104, 97, 105, 110, 46, 101, 110, 97, 98, 108, 101, 100, 0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 46, 49, 0, 102, 105, 108, 116, 101, 114, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 99, 109, 112, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 103, 101, 116, 95, 101, 118, 101, 110, 116, 95, 115, 101, 99, 116, 105, 111, 110, 46, 95, 95, 95, 102, 109, 116, 0, 46, 98, 115, 115, 0, 46, 109, 97, 112, 115, 0, 46, 114, 111, 100, 97, 116, 97, 0, 108, 105, 99, 101, 110, 115, 101, 0, 115, 107, 95, 98, 117, 102, 102, 95, 95, 95, 50, 0, 115, 111, 99, 107, 0, 110, 102, 95, 104, 111, 111, 107, 95, 115, 116, 97, 116, 101, 0, 115, 107, 98, 95, 101, 120, 116, 0, 110, 102, 116, 95, 98, 97, 115, 101, 95, 99, 104, 97, 105, 110, 0, 110, 102, 116, 95, 99, 104, 97, 105, 110, 0, 110, 102, 116, 95, 114, 117, 108, 101, 95, 100, 112, 0, 110, 102, 116, 95, 118, 101, 114, 100, 105, 99, 116, 0, 0, 0, 159, 235, 1, 0, 32, 0, 0, 0, 0, 0, 0, 0, 108, 0, 0, 0, 108, 0, 0, 0, 212, 28, 0, 0, 64, 29, 0, 0, 28, 2, 0, 0, 8, 0, 0, 0, 112, 3, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 90, 0, 0, 0, 48, 0, 0, 0, 92, 0, 0, 0, 96, 0, 0, 0, 94, 0, 0, 0, 144, 0, 0, 0, 96, 0, 0, 0, 192, 0, 0, 0, 98, 0, 0, 0, 240, 0, 0, 0, 100, 0, 0, 0, 32, 1, 0, 0, 102, 0, 0, 0, 80, 1, 0, 0, 104, 0, 0, 0, 128, 1, 0, 0, 106, 0, 0, 0, 176, 1, 0, 0, 108, 0, 0, 0, 185, 4, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 113, 0, 0, 0, 16, 0, 0, 0, 112, 3, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 118, 3, 0, 0, 195, 3, 0, 0, 0, 32, 2, 0, 8, 0, 0, 0, 118, 3, 0, 0, 195, 3, 0, 0, 1, 32, 2, 0, 16, 0, 0, 0, 118, 3, 0, 0, 195, 3, 0, 0, 1, 32, 2, 0, 32, 0, 0, 0, 118, 3, 0, 0, 195, 3, 0, 0, 1, 32, 2, 0, 48, 0, 0, 0, 118, 3, 0, 0, 209, 3, 0, 0, 0, 36, 2, 0, 56, 0, 0, 0, 118, 3, 0, 0, 209, 3, 0, 0, 1, 36, 2, 0, 64, 0, 0, 0, 118, 3, 0, 0, 209, 3, 0, 0, 1, 36, 2, 0, 80, 0, 0, 0, 118, 3, 0, 0, 209, 3, 0, 0, 1, 36, 2, 0, 96, 0, 0, 0, 118, 3, 0, 0, 223, 3, 0, 0, 0, 40, 2, 0, 104, 0, 0, 0, 118, 3, 0, 0, 223, 3, 0, 0, 1, 40, 2, 0, 112, 0, 0, 0, 118, 3, 0, 0, 223, 3, 0, 0, 1, 40, 2, 0, 128, 0, 0, 0, 118, 3, 0, 0, 223, 3, 0, 0, 1, 40, 2, 0, 144, 0, 0, 0, 118, 3, 0, 0, 237, 3, 0, 0, 0, 44, 2, 0, 152, 0, 0, 0, 118, 3, 0, 0, 237, 3, 0, 0, 1, 44, 2, 0, 160, 0, 0, 0, 118, 3, 0, 0, 237, 3, 0, 0, 1, 44, 2, 0, 176, 0, 0, 0, 118, 3, 0, 0, 237, 3, 0, 0, 1, 44, 2, 0, 192, 0, 0, 0, 118, 3, 0, 0, 251, 3, 0, 0, 0, 48, 2, 0, 200, 0, 0, 0, 118, 3, 0, 0, 251, 3, 0, 0, 1, 48, 2, 0, 208, 0, 0, 0, 118, 3, 0, 0, 251, 3, 0, 0, 1, 48, 2, 0, 224, 0, 0, 0, 118, 3, 0, 0, 251, 3, 0, 0, 1, 48, 2, 0, 240, 0, 0, 0, 118, 3, 0, 0, 9, 4, 0, 0, 0, 52, 2, 0, 248, 0, 0, 0, 118, 3, 0, 0, 9, 4, 0, 0, 1, 52, 2, 0, 0, 1, 0, 0, 118, 3, 0, 0, 9, 4, 0, 0, 1, 52, 2, 0, 16, 1, 0, 0, 118, 3, 0, 0, 9, 4, 0, 0, 1, 52, 2, 0, 32, 1, 0, 0, 118, 3, 0, 0, 23, 4, 0, 0, 0, 56, 2, 0, 40, 1, 0, 0, 118, 3, 0, 0, 23, 4, 0, 0, 1, 56, 2, 0, 48, 1, 0, 0, 118, 3, 0, 0, 23, 4, 0, 0, 1, 56, 2, 0, 64, 1, 0, 0, 118, 3, 0, 0, 23, 4, 0, 0, 1, 56, 2, 0, 80, 1, 0, 0, 118, 3, 0, 0, 37, 4, 0, 0, 0, 60, 2, 0, 88, 1, 0, 0, 118, 3, 0, 0, 37, 4, 0, 0, 1, 60, 2, 0, 96, 1, 0, 0, 118, 3, 0, 0, 37, 4, 0, 0, 1, 60, 2, 0, 112, 1, 0, 0, 118, 3, 0, 0, 37, 4, 0, 0, 1, 60, 2, 0, 128, 1, 0, 0, 118, 3, 0, 0, 51, 4, 0, 0, 0, 64, 2, 0, 136, 1, 0, 0, 118, 3, 0, 0, 51, 4, 0, 0, 1, 64, 2, 0, 144, 1, 0, 0, 118, 3, 0, 0, 51, 4, 0, 0, 1, 64, 2, 0, 160, 1, 0, 0, 118, 3, 0, 0, 51, 4, 0, 0, 1, 64, 2, 0, 176, 1, 0, 0, 118, 3, 0, 0, 65, 4, 0, 0, 0, 68, 2, 0, 184, 1, 0, 0, 118, 3, 0, 0, 65, 4, 0, 0, 1, 68, 2, 0, 192, 1, 0, 0, 118, 3, 0, 0, 65, 4, 0, 0, 1, 68, 2, 0, 208, 1, 0, 0, 118, 3, 0, 0, 65, 4, 0, 0, 1, 68, 2, 0, 185, 4, 0, 0, 164, 1, 0, 0, 0, 0, 0, 0, 198, 4, 0, 0, 15, 5, 0, 0, 0, 72, 0, 0, 16, 0, 0, 0, 198, 4, 0, 0, 53, 5, 0, 0, 23, 80, 0, 0, 176, 0, 0, 0, 198, 4, 0, 0, 89, 5, 0, 0, 22, 88, 0, 0, 184, 0, 0, 0, 198, 4, 0, 0, 89, 5, 0, 0, 20, 88, 0, 0, 208, 0, 0, 0, 178, 5, 0, 0, 0, 6, 0, 0, 6, 124, 0, 0, 216, 0, 0, 0, 178, 5, 0, 0, 86, 6, 0, 0, 10, 128, 0, 0, 240, 0, 0, 0, 178, 5, 0, 0, 122, 6, 0, 0, 10, 136, 0, 0, 248, 0, 0, 0, 178, 5, 0, 0, 122, 6, 0, 0, 26, 136, 0, 0, 8, 1, 0, 0, 198, 4, 0, 0, 152, 6, 0, 0, 21, 96, 0, 0, 16, 1, 0, 0, 198, 4, 0, 0, 195, 6, 0, 0, 15, 92, 0, 0, 24, 1, 0, 0, 198, 4, 0, 0, 236, 6, 0, 0, 19, 100, 0, 0, 32, 1, 0, 0, 198, 4, 0, 0, 10, 7, 0, 0, 17, 36, 0, 0, 40, 1, 0, 0, 198, 4, 0, 0, 10, 7, 0, 0, 15, 36, 0, 0, 48, 1, 0, 0, 198, 4, 0, 0, 51, 7, 0, 0, 17, 40, 0, 0, 56, 1, 0, 0, 198, 4, 0, 0, 51, 7, 0, 0, 15, 40, 0, 0, 64, 1, 0, 0, 198, 4, 0, 0, 92, 7, 0, 0, 17, 44, 0, 0, 72, 1, 0, 0, 198, 4, 0, 0, 92, 7, 0, 0, 15, 44, 0, 0, 80, 1, 0, 0, 198, 4, 0, 0, 133, 7, 0, 0, 17, 48, 0, 0, 88, 1, 0, 0, 198, 4, 0, 0, 133, 7, 0, 0, 15, 48, 0, 0, 96, 1, 0, 0, 198, 4, 0, 0, 173, 7, 0, 0, 17, 52, 0, 0, 104, 1, 0, 0, 198, 4, 0, 0, 173, 7, 0, 0, 15, 52, 0, 0, 120, 1, 0, 0, 198, 4, 0, 0, 209, 7, 0, 0, 12, 56, 0, 0, 128, 1, 0, 0, 118, 3, 0, 0, 225, 7, 0, 0, 6, 116, 3, 0, 152, 1, 0, 0, 118, 3, 0, 0, 225, 7, 0, 0, 6, 116, 3, 0, 160, 1, 0, 0, 252, 7, 0, 0, 71, 8, 0, 0, 5, 100, 0, 0, 176, 1, 0, 0, 252, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 1, 0, 0, 252, 7, 0, 0, 84, 8, 0, 0, 8, 108, 0, 0, 208, 1, 0, 0, 252, 7, 0, 0, 138, 8, 0, 0, 13, 112, 0, 0, 216, 1, 0, 0, 118, 3, 0, 0, 169, 8, 0, 0, 11, 120, 3, 0, 0, 2, 0, 0, 252, 7, 0, 0, 138, 8, 0, 0, 23, 112, 0, 0, 16, 2, 0, 0, 252, 7, 0, 0, 138, 8, 0, 0, 17, 112, 0, 0, 32, 2, 0, 0, 118, 3, 0, 0, 169, 8, 0, 0, 11, 120, 3, 0, 56, 2, 0, 0, 118, 3, 0, 0, 203, 8, 0, 0, 7, 124, 3, 0, 64, 2, 0, 0, 198, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 2, 0, 0, 118, 3, 0, 0, 219, 8, 0, 0, 8, 140, 3, 0, 104, 2, 0, 0, 118, 3, 0, 0, 16, 9, 0, 0, 6, 144, 3, 0, 112, 2, 0, 0, 198, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 2, 0, 0, 118, 3, 0, 0, 27, 9, 0, 0, 22, 156, 3, 0, 16, 3, 0, 0, 118, 3, 0, 0, 57, 9, 0, 0, 33, 92, 2, 0, 32, 3, 0, 0, 100, 9, 0, 0, 184, 9, 0, 0, 8, 200, 1, 0, 144, 3, 0, 0, 100, 9, 0, 0, 217, 9, 0, 0, 6, 204, 1, 0, 160, 3, 0, 0, 100, 9, 0, 0, 171, 10, 0, 0, 51, 208, 1, 0, 176, 3, 0, 0, 100, 9, 0, 0, 171, 10, 0, 0, 7, 208, 1, 0, 184, 3, 0, 0, 100, 9, 0, 0, 7, 11, 0, 0, 10, 228, 1, 0, 32, 4, 0, 0, 100, 9, 0, 0, 46, 11, 0, 0, 7, 232, 1, 0, 48, 4, 0, 0, 100, 9, 0, 0, 63, 11, 0, 0, 7, 244, 1, 0, 80, 4, 0, 0, 100, 9, 0, 0, 103, 11, 0, 0, 10, 248, 1, 0, 104, 4, 0, 0, 100, 9, 0, 0, 103, 11, 0, 0, 10, 248, 1, 0, 112, 4, 0, 0, 100, 9, 0, 0, 138, 11, 0, 0, 7, 8, 2, 0, 128, 4, 0, 0, 100, 9, 0, 0, 149, 11, 0, 0, 10, 0, 2, 0, 232, 4, 0, 0, 100, 9, 0, 0, 138, 11, 0, 0, 7, 8, 2, 0, 8, 5, 0, 0, 100, 9, 0, 0, 190, 11, 0, 0, 28, 12, 2, 0, 32, 5, 0, 0, 100, 9, 0, 0, 190, 11, 0, 0, 28, 12, 2, 0, 40, 5, 0, 0, 118, 3, 0, 0, 242, 11, 0, 0, 6, 112, 2, 0, 88, 5, 0, 0, 233, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 5, 0, 0, 233, 16, 0, 0, 56, 17, 0, 0, 14, 8, 1, 0, 112, 5, 0, 0, 233, 16, 0, 0, 56, 17, 0, 0, 14, 8, 1, 0, 120, 5, 0, 0, 233, 16, 0, 0, 56, 17, 0, 0, 7, 8, 1, 0, 128, 5, 0, 0, 233, 16, 0, 0, 95, 17, 0, 0, 6, 12, 1, 0, 176, 5, 0, 0, 118, 3, 0, 0, 107, 17, 0, 0, 17, 164, 2, 0, 224, 5, 0, 0, 118, 3, 0, 0, 107, 17, 0, 0, 17, 164, 2, 0, 240, 5, 0, 0, 118, 3, 0, 0, 107, 17, 0, 0, 17, 164, 2, 0, 248, 5, 0, 0, 118, 3, 0, 0, 153, 17, 0, 0, 13, 168, 2, 0, 8, 6, 0, 0, 118, 3, 0, 0, 153, 17, 0, 0, 13, 168, 2, 0, 16, 6, 0, 0, 118, 3, 0, 0, 153, 17, 0, 0, 11, 168, 2, 0, 56, 6, 0, 0, 118, 3, 0, 0, 107, 17, 0, 0, 17, 164, 2, 0, 64, 6, 0, 0, 178, 5, 0, 0, 200, 17, 0, 0, 8, 28, 1, 0, 112, 6, 0, 0, 178, 5, 0, 0, 200, 17, 0, 0, 8, 28, 1, 0, 128, 6, 0, 0, 118, 3, 0, 0, 107, 17, 0, 0, 17, 164, 2, 0, 136, 6, 0, 0, 178, 5, 0, 0, 249, 17, 0, 0, 12, 32, 1, 0, 160, 6, 0, 0, 178, 5, 0, 0, 40, 18, 0, 0, 27, 40, 1, 0, 168, 6, 0, 0, 178, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 6, 0, 0, 178, 5, 0, 0, 69, 18, 0, 0, 17, 252, 0, 0, 200, 6, 0, 0, 178, 5, 0, 0, 108, 18, 0, 0, 37, 44, 1, 0, 248, 6, 0, 0, 178, 5, 0, 0, 169, 18, 0, 0, 4, 48, 1, 0, 16, 7, 0, 0, 178, 5, 0, 0, 169, 18, 0, 0, 4, 48, 1, 0, 24, 7, 0, 0, 118, 3, 0, 0, 207, 18, 0, 0, 6, 200, 2, 0, 64, 7, 0, 0, 118, 3, 0, 0, 238, 18, 0, 0, 22, 204, 2, 0, 88, 7, 0, 0, 118, 3, 0, 0, 238, 18, 0, 0, 22, 204, 2, 0, 96, 7, 0, 0, 118, 3, 0, 0, 238, 18, 0, 0, 20, 204, 2, 0, 104, 7, 0, 0, 118, 3, 0, 0, 238, 18, 0, 0, 13, 204, 2, 0, 120, 7, 0, 0, 118, 3, 0, 0, 238, 18, 0, 0, 22, 204, 2, 0, 128, 7, 0, 0, 35, 19, 0, 0, 122, 19, 0, 0, 29, 16, 1, 0, 144, 7, 0, 0, 35, 19, 0, 0, 168, 19, 0, 0, 2, 24, 1, 0, 168, 135, 0, 0, 178, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 135, 0, 0, 178, 5, 0, 0, 200, 17, 0, 0, 8, 76, 1, 0, 200, 135, 0, 0, 178, 5, 0, 0, 200, 17, 0, 0, 8, 76, 1, 0, 216, 135, 0, 0, 178, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 135, 0, 0, 178, 5, 0, 0, 249, 17, 0, 0, 12, 80, 1, 0, 248, 135, 0, 0, 178, 5, 0, 0, 249, 17, 0, 0, 12, 80, 1, 0, 0, 136, 0, 0, 178, 5, 0, 0, 69, 18, 0, 0, 17, 252, 0, 0, 40, 136, 0, 0, 178, 5, 0, 0, 184, 19, 0, 0, 35, 88, 1, 0, 48, 136, 0, 0, 178, 5, 0, 0, 221, 19, 0, 0, 29, 92, 1, 0, 96, 136, 0, 0, 178, 5, 0, 0, 14, 20, 0, 0, 4, 96, 1, 0, 120, 136, 0, 0, 178, 5, 0, 0, 14, 20, 0, 0, 4, 96, 1, 0, 128, 136, 0, 0, 118, 3, 0, 0, 52, 20, 0, 0, 6, 224, 2, 0, 168, 136, 0, 0, 118, 3, 0, 0, 86, 20, 0, 0, 21, 236, 2, 0, 192, 136, 0, 0, 118, 3, 0, 0, 86, 20, 0, 0, 21, 236, 2, 0, 200, 136, 0, 0, 118, 3, 0, 0, 86, 20, 0, 0, 19, 236, 2, 0, 208, 136, 0, 0, 118, 3, 0, 0, 86, 20, 0, 0, 12, 236, 2, 0, 224, 136, 0, 0, 118, 3, 0, 0, 86, 20, 0, 0, 21, 236, 2, 0, 232, 136, 0, 0, 35, 19, 0, 0, 122, 19, 0, 0, 29, 16, 1, 0, 248, 136, 0, 0, 35, 19, 0, 0, 168, 19, 0, 0, 2, 24, 1, 0, 8, 9, 1, 0, 118, 3, 0, 0, 142, 20, 0, 0, 30, 20, 3, 0, 24, 9, 1, 0, 118, 3, 0, 0, 142, 20, 0, 0, 24, 20, 3, 0, 40, 9, 1, 0, 118, 3, 0, 0, 142, 20, 0, 0, 19, 20, 3, 0, 64, 9, 1, 0, 203, 20, 0, 0, 29, 21, 0, 0, 7, 88, 4, 0, 88, 9, 1, 0, 203, 20, 0, 0, 29, 21, 0, 0, 13, 88, 4, 0, 96, 9, 1, 0, 203, 20, 0, 0, 29, 21, 0, 0, 16, 88, 4, 0, 104, 9, 1, 0, 203, 20, 0, 0, 29, 21, 0, 0, 6, 88, 4, 0, 120, 9, 1, 0, 203, 20, 0, 0, 66, 21, 0, 0, 6, 72, 1, 0, 136, 9, 1, 0, 203, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 9, 1, 0, 203, 20, 0, 0, 78, 21, 0, 0, 8, 88, 1, 0, 176, 9, 1, 0, 203, 20, 0, 0, 128, 21, 0, 0, 6, 92, 1, 0, 184, 9, 1, 0, 203, 20, 0, 0, 141, 21, 0, 0, 3, 96, 1, 0, 208, 9, 1, 0, 203, 20, 0, 0, 141, 21, 0, 0, 3, 96, 1, 0, 216, 9, 1, 0, 203, 20, 0, 0, 141, 21, 0, 0, 3, 96, 1, 0, 24, 10, 1, 0, 203, 20, 0, 0, 141, 21, 0, 0, 3, 96, 1, 0, 32, 10, 1, 0, 203, 20, 0, 0, 141, 21, 0, 0, 3, 96, 1, 0, 56, 10, 1, 0, 203, 20, 0, 0, 141, 21, 0, 0, 3, 96, 1, 0, 64, 10, 1, 0, 203, 20, 0, 0, 141, 21, 0, 0, 3, 96, 1, 0, 104, 10, 1, 0, 203, 20, 0, 0, 193, 21, 0, 0, 19, 124, 1, 0, 112, 10, 1, 0, 203, 20, 0, 0, 215, 21, 0, 0, 20, 120, 1, 0, 144, 10, 1, 0, 203, 20, 0, 0, 239, 21, 0, 0, 16, 132, 1, 0, 152, 10, 1, 0, 203, 20, 0, 0, 239, 21, 0, 0, 25, 132, 1, 0, 208, 10, 1, 0, 203, 20, 0, 0, 239, 21, 0, 0, 2, 132, 1, 0, 0, 11, 1, 0, 203, 20, 0, 0, 26, 22, 0, 0, 21, 220, 1, 0, 8, 11, 1, 0, 203, 20, 0, 0, 55, 22, 0, 0, 23, 216, 1, 0, 40, 11, 1, 0, 203, 20, 0, 0, 239, 21, 0, 0, 33, 132, 1, 0, 64, 11, 1, 0, 203, 20, 0, 0, 239, 21, 0, 0, 25, 132, 1, 0, 88, 11, 1, 0, 203, 20, 0, 0, 239, 21, 0, 0, 23, 132, 1, 0, 120, 11, 1, 0, 203, 20, 0, 0, 239, 21, 0, 0, 2, 132, 1, 0, 128, 11, 1, 0, 203, 20, 0, 0, 84, 22, 0, 0, 15, 120, 4, 0, 160, 11, 1, 0, 203, 20, 0, 0, 84, 22, 0, 0, 25, 120, 4, 0, 168, 11, 1, 0, 203, 20, 0, 0, 126, 22, 0, 0, 7, 164, 2, 0, 216, 11, 1, 0, 203, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 11, 1, 0, 203, 20, 0, 0, 156, 22, 0, 0, 9, 136, 1, 0, 248, 11, 1, 0, 203, 20, 0, 0, 207, 22, 0, 0, 7, 140, 1, 0, 8, 12, 1, 0, 203, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 12, 1, 0, 203, 20, 0, 0, 221, 22, 0, 0, 14, 164, 1, 0, 24, 12, 1, 0, 203, 20, 0, 0, 221, 22, 0, 0, 7, 164, 1, 0, 40, 12, 1, 0, 203, 20, 0, 0, 253, 22, 0, 0, 27, 172, 1, 0, 64, 12, 1, 0, 203, 20, 0, 0, 43, 23, 0, 0, 8, 168, 1, 0, 80, 12, 1, 0, 203, 20, 0, 0, 253, 22, 0, 0, 44, 172, 1, 0, 128, 12, 1, 0, 203, 20, 0, 0, 94, 23, 0, 0, 12, 140, 3, 0, 136, 12, 1, 0, 203, 20, 0, 0, 115, 23, 0, 0, 6, 156, 3, 0, 152, 12, 1, 0, 203, 20, 0, 0, 115, 23, 0, 0, 6, 156, 3, 0, 160, 12, 1, 0, 203, 20, 0, 0, 132, 23, 0, 0, 12, 160, 3, 0, 192, 12, 1, 0, 203, 20, 0, 0, 160, 23, 0, 0, 8, 184, 3, 0, 200, 12, 1, 0, 203, 20, 0, 0, 132, 23, 0, 0, 12, 160, 3, 0, 216, 12, 1, 0, 203, 20, 0, 0, 160, 23, 0, 0, 8, 184, 3, 0, 16, 13, 1, 0, 203, 20, 0, 0, 220, 23, 0, 0, 7, 216, 3, 0, 64, 13, 1, 0, 203, 20, 0, 0, 249, 23, 0, 0, 57, 240, 3, 0, 88, 13, 1, 0, 203, 20, 0, 0, 249, 23, 0, 0, 6, 240, 3, 0, 112, 13, 1, 0, 203, 20, 0, 0, 249, 23, 0, 0, 6, 240, 3, 0, 120, 13, 1, 0, 203, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 13, 1, 0, 203, 20, 0, 0, 115, 23, 0, 0, 6, 156, 3, 0, 144, 13, 1, 0, 203, 20, 0, 0, 60, 24, 0, 0, 6, 16, 4, 0, 160, 13, 1, 0, 203, 20, 0, 0, 75, 24, 0, 0, 14, 12, 3, 0, 176, 13, 1, 0, 203, 20, 0, 0, 75, 24, 0, 0, 24, 12, 3, 0, 192, 13, 1, 0, 203, 20, 0, 0, 75, 24, 0, 0, 6, 12, 3, 0, 216, 13, 1, 0, 203, 20, 0, 0, 116, 24, 0, 0, 0, 20, 3, 0, 232, 13, 1, 0, 203, 20, 0, 0, 116, 24, 0, 0, 9, 20, 3, 0, 248, 13, 1, 0, 203, 20, 0, 0, 185, 24, 0, 0, 18, 136, 3, 0, 24, 14, 1, 0, 203, 20, 0, 0, 116, 24, 0, 0, 9, 20, 3, 0, 48, 14, 1, 0, 203, 20, 0, 0, 224, 24, 0, 0, 8, 20, 4, 0, 64, 14, 1, 0, 203, 20, 0, 0, 28, 25, 0, 0, 9, 36, 4, 0, 72, 14, 1, 0, 203, 20, 0, 0, 57, 25, 0, 0, 2, 0, 2, 0, 136, 14, 1, 0, 203, 20, 0, 0, 78, 25, 0, 0, 10, 40, 2, 0, 176, 14, 1, 0, 203, 20, 0, 0, 185, 24, 0, 0, 18, 136, 3, 0, 192, 14, 1, 0, 203, 20, 0, 0, 78, 25, 0, 0, 10, 40, 2, 0, 208, 14, 1, 0, 203, 20, 0, 0, 126, 22, 0, 0, 7, 164, 2, 0, 232, 14, 1, 0, 203, 20, 0, 0, 96, 25, 0, 0, 7, 168, 2, 0, 8, 15, 1, 0, 203, 20, 0, 0, 124, 25, 0, 0, 59, 176, 2, 0, 24, 15, 1, 0, 203, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 15, 1, 0, 203, 20, 0, 0, 124, 25, 0, 0, 6, 176, 2, 0, 56, 15, 1, 0, 203, 20, 0, 0, 124, 25, 0, 0, 6, 176, 2, 0, 96, 15, 1, 0, 203, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 15, 1, 0, 203, 20, 0, 0, 96, 25, 0, 0, 7, 168, 2, 0, 112, 15, 1, 0, 203, 20, 0, 0, 202, 25, 0, 0, 2, 204, 2, 0, 120, 15, 1, 0, 203, 20, 0, 0, 202, 25, 0, 0, 21, 204, 2, 0, 128, 15, 1, 0, 203, 20, 0, 0, 202, 25, 0, 0, 26, 204, 2, 0, 136, 15, 1, 0, 203, 20, 0, 0, 202, 25, 0, 0, 29, 204, 2, 0, 144, 15, 1, 0, 203, 20, 0, 0, 202, 25, 0, 0, 34, 204, 2, 0, 152, 15, 1, 0, 203, 20, 0, 0, 254, 25, 0, 0, 13, 208, 2, 0, 160, 15, 1, 0, 203, 20, 0, 0, 254, 25, 0, 0, 6, 208, 2, 0, 168, 15, 1, 0, 203, 20, 0, 0, 202, 25, 0, 0, 14, 204, 2, 0, 176, 15, 1, 0, 203, 20, 0, 0, 202, 25, 0, 0, 18, 204, 2, 0, 184, 15, 1, 0, 203, 20, 0, 0, 14, 26, 0, 0, 18, 216, 2, 0, 192, 15, 1, 0, 203, 20, 0, 0, 14, 26, 0, 0, 11, 216, 2, 0, 208, 15, 1, 0, 203, 20, 0, 0, 14, 26, 0, 0, 9, 216, 2, 0, 232, 15, 1, 0, 203, 20, 0, 0, 38, 26, 0, 0, 4, 144, 1, 0, 0, 16, 1, 0, 203, 20, 0, 0, 38, 26, 0, 0, 4, 144, 1, 0, 8, 16, 1, 0, 203, 20, 0, 0, 38, 26, 0, 0, 4, 144, 1, 0, 72, 16, 1, 0, 203, 20, 0, 0, 38, 26, 0, 0, 4, 144, 1, 0, 80, 16, 1, 0, 203, 20, 0, 0, 38, 26, 0, 0, 4, 144, 1, 0, 112, 16, 1, 0, 203, 20, 0, 0, 38, 26, 0, 0, 4, 144, 1, 0, 120, 16, 1, 0, 203, 20, 0, 0, 38, 26, 0, 0, 4, 144, 1, 0, 152, 16, 1, 0, 203, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 16, 1, 0, 203, 20, 0, 0, 220, 23, 0, 0, 7, 216, 3, 0, 248, 16, 1, 0, 203, 20, 0, 0, 106, 26, 0, 0, 6, 220, 3, 0, 16, 17, 1, 0, 203, 20, 0, 0, 118, 26, 0, 0, 3, 224, 3, 0, 40, 17, 1, 0, 203, 20, 0, 0, 118, 26, 0, 0, 3, 224, 3, 0, 48, 17, 1, 0, 203, 20, 0, 0, 118, 26, 0, 0, 3, 224, 3, 0, 104, 17, 1, 0, 203, 20, 0, 0, 118, 26, 0, 0, 3, 224, 3, 0, 112, 17, 1, 0, 203, 20, 0, 0, 118, 26, 0, 0, 3, 224, 3, 0, 136, 17, 1, 0, 203, 20, 0, 0, 118, 26, 0, 0, 3, 224, 3, 0, 144, 17, 1, 0, 203, 20, 0, 0, 118, 26, 0, 0, 3, 224, 3, 0, 192, 17, 1, 0, 203, 20, 0, 0, 118, 26, 0, 0, 3, 224, 3, 0, 224, 17, 1, 0, 203, 20, 0, 0, 57, 25, 0, 0, 2, 0, 2, 0, 8, 18, 1, 0, 203, 20, 0, 0, 191, 26, 0, 0, 20, 16, 2, 0, 24, 18, 1, 0, 203, 20, 0, 0, 185, 24, 0, 0, 18, 136, 3, 0, 64, 18, 1, 0, 203, 20, 0, 0, 224, 26, 0, 0, 11, 24, 4, 0, 72, 18, 1, 0, 203, 20, 0, 0, 244, 26, 0, 0, 2, 52, 3, 0, 120, 18, 1, 0, 203, 20, 0, 0, 3, 27, 0, 0, 9, 60, 3, 0, 152, 18, 1, 0, 203, 20, 0, 0, 26, 27, 0, 0, 20, 8, 2, 0, 192, 18, 1, 0, 203, 20, 0, 0, 78, 25, 0, 0, 10, 56, 2, 0, 232, 18, 1, 0, 203, 20, 0, 0, 185, 24, 0, 0, 18, 136, 3, 0, 248, 18, 1, 0, 203, 20, 0, 0, 78, 25, 0, 0, 10, 56, 2, 0, 8, 19, 1, 0, 203, 20, 0, 0, 59, 27, 0, 0, 3, 88, 2, 0, 32, 19, 1, 0, 203, 20, 0, 0, 59, 27, 0, 0, 3, 88, 2, 0, 40, 19, 1, 0, 203, 20, 0, 0, 59, 27, 0, 0, 3, 88, 2, 0, 96, 19, 1, 0, 203, 20, 0, 0, 59, 27, 0, 0, 3, 88, 2, 0, 104, 19, 1, 0, 203, 20, 0, 0, 59, 27, 0, 0, 3, 88, 2, 0, 136, 19, 1, 0, 203, 20, 0, 0, 59, 27, 0, 0, 3, 88, 2, 0, 144, 19, 1, 0, 203, 20, 0, 0, 59, 27, 0, 0, 3, 88, 2, 0, 192, 19, 1, 0, 203, 20, 0, 0, 59, 27, 0, 0, 3, 88, 2, 0, 248, 19, 1, 0, 203, 20, 0, 0, 78, 25, 0, 0, 10, 24, 2, 0, 32, 20, 1, 0, 203, 20, 0, 0, 185, 24, 0, 0, 18, 136, 3, 0, 48, 20, 1, 0, 203, 20, 0, 0, 78, 25, 0, 0, 10, 24, 2, 0, 64, 20, 1, 0, 203, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 20, 1, 0, 118, 3, 0, 0, 114, 27, 0, 0, 43, 24, 3, 0, 112, 20, 1, 0, 203, 20, 0, 0, 78, 25, 0, 0, 10, 72, 2, 0, 152, 20, 1, 0, 203, 20, 0, 0, 185, 24, 0, 0, 18, 136, 3, 0, 168, 20, 1, 0, 203, 20, 0, 0, 78, 25, 0, 0, 10, 72, 2, 0, 184, 20, 1, 0, 203, 20, 0, 0, 181, 27, 0, 0, 9, 72, 3, 0, 208, 20, 1, 0, 203, 20, 0, 0, 204, 27, 0, 0, 9, 84, 3, 0, 232, 20, 1, 0, 203, 20, 0, 0, 226, 27, 0, 0, 8, 28, 4, 0, 0, 21, 1, 0, 233, 16, 0, 0, 3, 28, 0, 0, 7, 24, 1, 0, 32, 21, 1, 0, 233, 16, 0, 0, 52, 28, 0, 0, 6, 28, 1, 0, 48, 21, 1, 0, 118, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 21, 1, 0, 118, 3, 0, 0, 62, 28, 0, 0, 6, 200, 3, 0, 88, 21, 1, 0, 118, 3, 0, 0, 62, 28, 0, 0, 6, 200, 3, 0, 96, 21, 1, 0, 233, 16, 0, 0, 102, 28, 0, 0, 24, 76, 1, 0, 104, 21, 1, 0, 233, 16, 0, 0, 102, 28, 0, 0, 12, 76, 1, 0, 112, 21, 1, 0, 100, 9, 0, 0, 184, 9, 0, 0, 8, 200, 1, 0, 224, 21, 1, 0, 100, 9, 0, 0, 217, 9, 0, 0, 6, 204, 1, 0, 232, 21, 1, 0, 233, 16, 0, 0, 131, 28, 0, 0, 6, 88, 1, 0, 0, 22, 1, 0, 100, 9, 0, 0, 171, 10, 0, 0, 51, 208, 1, 0, 16, 22, 1, 0, 100, 9, 0, 0, 171, 10, 0, 0, 7, 208, 1, 0, 24, 22, 1, 0, 100, 9, 0, 0, 7, 11, 0, 0, 10, 228, 1, 0, 128, 22, 1, 0, 100, 9, 0, 0, 46, 11, 0, 0, 7, 232, 1, 0, 144, 22, 1, 0, 100, 9, 0, 0, 63, 11, 0, 0, 7, 244, 1, 0, 176, 22, 1, 0, 100, 9, 0, 0, 103, 11, 0, 0, 10, 248, 1, 0, 200, 22, 1, 0, 100, 9, 0, 0, 103, 11, 0, 0, 10, 248, 1, 0, 208, 22, 1, 0, 100, 9, 0, 0, 138, 11, 0, 0, 7, 8, 2, 0, 232, 22, 1, 0, 233, 16, 0, 0, 162, 28, 0, 0, 8, 36, 1, 0, 8, 23, 1, 0, 118, 3, 0, 0, 218, 28, 0, 0, 6, 144, 2, 0, 24, 23, 1, 0, 100, 9, 0, 0, 149, 11, 0, 0, 10, 0, 2, 0, 128, 23, 1, 0, 100, 9, 0, 0, 138, 11, 0, 0, 7, 8, 2, 0, 160, 23, 1, 0, 100, 9, 0, 0, 190, 11, 0, 0, 28, 12, 2, 0, 184, 23, 1, 0, 100, 9, 0, 0, 190, 11, 0, 0, 28, 12, 2, 0, 192, 23, 1, 0, 233, 16, 0, 0, 131, 28, 0, 0, 6, 88, 1, 0, 200, 23, 1, 0, 233, 16, 0, 0, 242, 11, 0, 0, 6, 92, 1, 0, 216, 23, 1, 0, 233, 16, 0, 0, 246, 28, 0, 0, 8, 128, 1, 0, 8, 24, 1, 0, 233, 16, 0, 0, 47, 29, 0, 0, 6, 132, 1, 0, 16, 24, 1, 0, 233, 16, 0, 0, 59, 29, 0, 0, 22, 140, 1, 0, 40, 24, 1, 0, 233, 16, 0, 0, 59, 29, 0, 0, 17, 140, 1, 0, 56, 24, 1, 0, 233, 16, 0, 0, 93, 29, 0, 0, 19, 136, 1, 0, 64, 24, 1, 0, 233, 16, 0, 0, 93, 29, 0, 0, 14, 136, 1, 0, 88, 24, 1, 0, 233, 16, 0, 0, 56, 17, 0, 0, 14, 152, 1, 0, 112, 24, 1, 0, 233, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 24, 1, 0, 233, 16, 0, 0, 56, 17, 0, 0, 14, 152, 1, 0, 136, 24, 1, 0, 233, 16, 0, 0, 56, 17, 0, 0, 14, 152, 1, 0, 144, 24, 1, 0, 233, 16, 0, 0, 56, 17, 0, 0, 7, 152, 1, 0, 152, 24, 1, 0, 233, 16, 0, 0, 95, 17, 0, 0, 6, 156, 1, 0, 168, 24, 1, 0, 233, 16, 0, 0, 3, 28, 0, 0, 7, 168, 1, 0, 208, 24, 1, 0, 233, 16, 0, 0, 121, 29, 0, 0, 6, 180, 1, 0, 224, 24, 1, 0, 233, 16, 0, 0, 162, 28, 0, 0, 8, 188, 1, 0, 8, 25, 1, 0, 233, 16, 0, 0, 133, 29, 0, 0, 7, 192, 1, 0, 24, 25, 1, 0, 233, 16, 0, 0, 145, 29, 0, 0, 4, 208, 1, 0, 64, 25, 1, 0, 233, 16, 0, 0, 197, 29, 0, 0, 7, 4, 2, 0, 80, 25, 1, 0, 233, 16, 0, 0, 216, 29, 0, 0, 24, 20, 2, 0, 88, 25, 1, 0, 233, 16, 0, 0, 250, 29, 0, 0, 17, 24, 2, 0, 96, 25, 1, 0, 233, 16, 0, 0, 216, 29, 0, 0, 17, 20, 2, 0, 104, 25, 1, 0, 233, 16, 0, 0, 28, 30, 0, 0, 19, 28, 2, 0, 112, 25, 1, 0, 233, 16, 0, 0, 28, 30, 0, 0, 17, 28, 2, 0, 128, 25, 1, 0, 233, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 25, 1, 0, 233, 16, 0, 0, 52, 30, 0, 0, 23, 72, 2, 0, 200, 25, 1, 0, 233, 16, 0, 0, 52, 30, 0, 0, 16, 72, 2, 0, 208, 25, 1, 0, 233, 16, 0, 0, 85, 30, 0, 0, 6, 92, 2, 0, 232, 25, 1, 0, 233, 16, 0, 0, 100, 30, 0, 0, 3, 96, 2, 0, 24, 26, 1, 0, 118, 3, 0, 0, 168, 30, 0, 0, 6, 224, 3, 0, 48, 26, 1, 0, 118, 3, 0, 0, 168, 30, 0, 0, 6, 224, 3, 0, 64, 26, 1, 0, 186, 30, 0, 0, 1, 31, 0, 0, 10, 0, 1, 0, 112, 26, 1, 0, 186, 30, 0, 0, 63, 31, 0, 0, 6, 4, 1, 0, 120, 26, 1, 0, 118, 3, 0, 0, 76, 31, 0, 0, 19, 244, 3, 0, 128, 26, 1, 0, 252, 7, 0, 0, 104, 31, 0, 0, 15, 132, 1, 0, 136, 26, 1, 0, 252, 7, 0, 0, 130, 31, 0, 0, 10, 128, 1, 0, 152, 26, 1, 0, 118, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 26, 1, 0, 252, 7, 0, 0, 146, 31, 0, 0, 17, 136, 1, 0, 184, 26, 1, 0, 252, 7, 0, 0, 204, 31, 0, 0, 6, 148, 1, 0, 200, 26, 1, 0, 252, 7, 0, 0, 223, 31, 0, 0, 3, 152, 1, 0, 232, 26, 1, 0, 186, 30, 0, 0, 25, 32, 0, 0, 15, 136, 1, 0, 248, 26, 1, 0, 186, 30, 0, 0, 47, 32, 0, 0, 16, 128, 1, 0, 0, 27, 1, 0, 186, 30, 0, 0, 25, 32, 0, 0, 15, 136, 1, 0, 8, 27, 1, 0, 186, 30, 0, 0, 71, 32, 0, 0, 20, 132, 1, 0, 16, 27, 1, 0, 186, 30, 0, 0, 103, 32, 0, 0, 14, 148, 1, 0, 40, 27, 1, 0, 118, 3, 0, 0, 143, 32, 0, 0, 22, 20, 4, 0, 48, 27, 1, 0, 118, 3, 0, 0, 143, 32, 0, 0, 15, 20, 4, 0, 216, 27, 1, 0, 118, 3, 0, 0, 175, 32, 0, 0, 14, 24, 4, 0, 224, 27, 1, 0, 118, 3, 0, 0, 175, 32, 0, 0, 12, 24, 4, 0, 40, 28, 1, 0, 186, 30, 0, 0, 216, 32, 0, 0, 42, 88, 1, 0, 80, 28, 1, 0, 186, 30, 0, 0, 7, 33, 0, 0, 36, 100, 1, 0, 88, 28, 1, 0, 186, 30, 0, 0, 82, 33, 0, 0, 3, 104, 1, 0, 120, 28, 1, 0, 186, 30, 0, 0, 82, 33, 0, 0, 3, 104, 1, 0, 128, 28, 1, 0, 186, 30, 0, 0, 82, 33, 0, 0, 3, 104, 1, 0, 192, 28, 1, 0, 118, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 29, 1, 0, 186, 30, 0, 0, 141, 33, 0, 0, 2, 40, 1, 0, 64, 29, 1, 0, 118, 3, 0, 0, 62, 28, 0, 0, 6, 4, 5, 0, 72, 29, 1, 0, 118, 3, 0, 0, 62, 28, 0, 0, 6, 4, 5, 0, 80, 29, 1, 0, 233, 16, 0, 0, 102, 28, 0, 0, 24, 128, 2, 0, 88, 29, 1, 0, 233, 16, 0, 0, 102, 28, 0, 0, 12, 128, 2, 0, 104, 29, 1, 0, 233, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 29, 1, 0, 233, 16, 0, 0, 246, 28, 0, 0, 8, 140, 2, 0, 136, 29, 1, 0, 233, 16, 0, 0, 16, 9, 0, 0, 6, 144, 2, 0, 144, 29, 1, 0, 233, 16, 0, 0, 173, 33, 0, 0, 12, 160, 2, 0, 152, 29, 1, 0, 233, 16, 0, 0, 173, 33, 0, 0, 6, 160, 2, 0, 160, 29, 1, 0, 100, 9, 0, 0, 184, 9, 0, 0, 8, 200, 1, 0, 16, 30, 1, 0, 100, 9, 0, 0, 217, 9, 0, 0, 6, 204, 1, 0, 32, 30, 1, 0, 100, 9, 0, 0, 171, 10, 0, 0, 51, 208, 1, 0, 48, 30, 1, 0, 100, 9, 0, 0, 171, 10, 0, 0, 7, 208, 1, 0, 56, 30, 1, 0, 100, 9, 0, 0, 7, 11, 0, 0, 10, 228, 1, 0, 160, 30, 1, 0, 100, 9, 0, 0, 46, 11, 0, 0, 7, 232, 1, 0, 176, 30, 1, 0, 100, 9, 0, 0, 63, 11, 0, 0, 7, 244, 1, 0, 208, 30, 1, 0, 100, 9, 0, 0, 103, 11, 0, 0, 10, 248, 1, 0, 248, 30, 1, 0, 100, 9, 0, 0, 103, 11, 0, 0, 10, 248, 1, 0, 0, 31, 1, 0, 100, 9, 0, 0, 138, 11, 0, 0, 7, 8, 2, 0, 16, 31, 1, 0, 118, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 31, 1, 0, 186, 30, 0, 0, 190, 33, 0, 0, 17, 124, 1, 0, 56, 31, 1, 0, 186, 30, 0, 0, 25, 32, 0, 0, 15, 136, 1, 0, 64, 31, 1, 0, 186, 30, 0, 0, 71, 32, 0, 0, 20, 132, 1, 0, 72, 31, 1, 0, 186, 30, 0, 0, 47, 32, 0, 0, 16, 128, 1, 0, 88, 31, 1, 0, 186, 30, 0, 0, 25, 32, 0, 0, 15, 136, 1, 0, 96, 31, 1, 0, 186, 30, 0, 0, 103, 32, 0, 0, 14, 148, 1, 0, 136, 31, 1, 0, 186, 30, 0, 0, 222, 33, 0, 0, 2, 204, 1, 0, 200, 33, 1, 0, 118, 3, 0, 0, 3, 34, 0, 0, 12, 48, 4, 0, 208, 33, 1, 0, 118, 3, 0, 0, 3, 34, 0, 0, 10, 48, 4, 0, 216, 33, 1, 0, 186, 30, 0, 0, 222, 33, 0, 0, 2, 204, 1, 0, 224, 33, 1, 0, 118, 3, 0, 0, 42, 34, 0, 0, 2, 52, 4, 0, 248, 33, 1, 0, 186, 30, 0, 0, 216, 32, 0, 0, 42, 88, 1, 0, 32, 34, 1, 0, 186, 30, 0, 0, 7, 33, 0, 0, 36, 100, 1, 0, 40, 34, 1, 0, 186, 30, 0, 0, 82, 33, 0, 0, 3, 104, 1, 0, 72, 34, 1, 0, 186, 30, 0, 0, 82, 33, 0, 0, 3, 104, 1, 0, 80, 34, 1, 0, 186, 30, 0, 0, 82, 33, 0, 0, 3, 104, 1, 0, 144, 34, 1, 0, 186, 30, 0, 0, 190, 33, 0, 0, 17, 124, 1, 0, 152, 34, 1, 0, 186, 30, 0, 0, 25, 32, 0, 0, 15, 136, 1, 0, 184, 34, 1, 0, 186, 30, 0, 0, 71, 32, 0, 0, 20, 132, 1, 0, 200, 34, 1, 0, 186, 30, 0, 0, 47, 32, 0, 0, 16, 128, 1, 0, 208, 34, 1, 0, 186, 30, 0, 0, 103, 32, 0, 0, 14, 148, 1, 0, 248, 34, 1, 0, 118, 3, 0, 0, 93, 34, 0, 0, 19, 76, 4, 0, 0, 35, 1, 0, 118, 3, 0, 0, 93, 34, 0, 0, 12, 76, 4, 0, 168, 35, 1, 0, 118, 3, 0, 0, 117, 34, 0, 0, 17, 80, 4, 0, 176, 35, 1, 0, 118, 3, 0, 0, 117, 34, 0, 0, 10, 80, 4, 0, 192, 35, 1, 0, 118, 3, 0, 0, 145, 34, 0, 0, 11, 84, 4, 0, 208, 35, 1, 0, 118, 3, 0, 0, 145, 34, 0, 0, 6, 84, 4, 0, 216, 35, 1, 0, 118, 3, 0, 0, 168, 34, 0, 0, 38, 88, 4, 0, 224, 35, 1, 0, 118, 3, 0, 0, 168, 34, 0, 0, 17, 88, 4, 0, 0, 36, 1, 0, 186, 30, 0, 0, 250, 34, 0, 0, 16, 228, 1, 0, 32, 36, 1, 0, 118, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 36, 1, 0, 118, 3, 0, 0, 15, 35, 0, 0, 17, 104, 4, 0, 208, 36, 1, 0, 118, 3, 0, 0, 56, 35, 0, 0, 2, 108, 4, 0, 224, 36, 1, 0, 118, 3, 0, 0, 86, 35, 0, 0, 2, 176, 4, 0, 0, 37, 1, 0, 118, 3, 0, 0, 86, 35, 0, 0, 2, 176, 4, 0, 16, 37, 1, 0, 118, 3, 0, 0, 86, 35, 0, 0, 2, 176, 4, 0, 80, 37, 1, 0, 118, 3, 0, 0, 100, 35, 0, 0, 2, 180, 4, 0, 96, 37, 1, 0, 118, 3, 0, 0, 100, 35, 0, 0, 2, 180, 4, 0, 112, 37, 1, 0, 118, 3, 0, 0, 100, 35, 0, 0, 2, 180, 4, 0, 176, 37, 1, 0, 118, 3, 0, 0, 114, 35, 0, 0, 2, 184, 4, 0, 192, 37, 1, 0, 118, 3, 0, 0, 114, 35, 0, 0, 2, 184, 4, 0, 208, 37, 1, 0, 118, 3, 0, 0, 114, 35, 0, 0, 2, 184, 4, 0, 16, 38, 1, 0, 118, 3, 0, 0, 128, 35, 0, 0, 2, 188, 4, 0, 32, 38, 1, 0, 118, 3, 0, 0, 128, 35, 0, 0, 2, 188, 4, 0, 48, 38, 1, 0, 118, 3, 0, 0, 128, 35, 0, 0, 2, 188, 4, 0, 112, 38, 1, 0, 118, 3, 0, 0, 142, 35, 0, 0, 2, 192, 4, 0, 128, 38, 1, 0, 118, 3, 0, 0, 142, 35, 0, 0, 2, 192, 4, 0, 144, 38, 1, 0, 118, 3, 0, 0, 142, 35, 0, 0, 2, 192, 4, 0, 208, 38, 1, 0, 118, 3, 0, 0, 156, 35, 0, 0, 2, 196, 4, 0, 224, 38, 1, 0, 118, 3, 0, 0, 156, 35, 0, 0, 2, 196, 4, 0, 240, 38, 1, 0, 118, 3, 0, 0, 156, 35, 0, 0, 2, 196, 4, 0, 48, 39, 1, 0, 118, 3, 0, 0, 170, 35, 0, 0, 2, 200, 4, 0, 64, 39, 1, 0, 118, 3, 0, 0, 170, 35, 0, 0, 2, 200, 4, 0, 80, 39, 1, 0, 118, 3, 0, 0, 170, 35, 0, 0, 2, 200, 4, 0, 144, 39, 1, 0, 118, 3, 0, 0, 184, 35, 0, 0, 2, 204, 4, 0, 160, 39, 1, 0, 118, 3, 0, 0, 184, 35, 0, 0, 2, 204, 4, 0, 176, 39, 1, 0, 118, 3, 0, 0, 184, 35, 0, 0, 2, 204, 4, 0, 240, 39, 1, 0, 118, 3, 0, 0, 198, 35, 0, 0, 2, 208, 4, 0, 0, 40, 1, 0, 118, 3, 0, 0, 198, 35, 0, 0, 2, 208, 4, 0, 16, 40, 1, 0, 118, 3, 0, 0, 198, 35, 0, 0, 2, 208, 4, 0, 80, 40, 1, 0, 118, 3, 0, 0, 212, 35, 0, 0, 2, 212, 4, 0, 96, 40, 1, 0, 118, 3, 0, 0, 212, 35, 0, 0, 2, 212, 4, 0, 112, 40, 1, 0, 118, 3, 0, 0, 212, 35, 0, 0, 2, 212, 4, 0, 176, 40, 1, 0, 186, 30, 0, 0, 250, 34, 0, 0, 16, 228, 1, 0, 208, 40, 1, 0, 118, 3, 0, 0, 226, 35, 0, 0, 30, 220, 4, 0, 216, 40, 1, 0, 118, 3, 0, 0, 226, 35, 0, 0, 6, 220, 4, 0, 224, 40, 1, 0, 186, 30, 0, 0, 15, 36, 0, 0, 2, 60, 1, 0, 0, 41, 1, 0, 100, 9, 0, 0, 149, 11, 0, 0, 10, 0, 2, 0, 96, 41, 1, 0, 100, 9, 0, 0, 138, 11, 0, 0, 7, 8, 2, 0, 128, 41, 1, 0, 100, 9, 0, 0, 190, 11, 0, 0, 28, 12, 2, 0, 168, 41, 1, 0, 100, 9, 0, 0, 190, 11, 0, 0, 28, 12, 2, 0, 176, 41, 1, 0, 233, 16, 0, 0, 242, 11, 0, 0, 6, 176, 2, 0, 208, 41, 1, 0, 233, 16, 0, 0, 56, 17, 0, 0, 14, 188, 2, 0, 248, 41, 1, 0, 233, 16, 0, 0, 56, 17, 0, 0, 14, 188, 2, 0, 0, 42, 1, 0, 233, 16, 0, 0, 56, 17, 0, 0, 7, 188, 2, 0, 8, 42, 1, 0, 233, 16, 0, 0, 95, 17, 0, 0, 6, 192, 2, 0, 16, 42, 1, 0, 233, 16, 0, 0, 46, 36, 0, 0, 11, 204, 2, 0, 24, 42, 1, 0, 233, 16, 0, 0, 46, 36, 0, 0, 6, 204, 2, 0, 32, 42, 1, 0, 233, 16, 0, 0, 72, 36, 0, 0, 17, 212, 2, 0, 80, 42, 1, 0, 233, 16, 0, 0, 119, 36, 0, 0, 2, 252, 2, 0, 112, 42, 1, 0, 198, 4, 0, 0, 163, 36, 0, 0, 2, 112, 0, 0, 16, 0, 0, 0, 185, 4, 0, 0, 33, 0, 0, 0, 192, 0, 0, 0, 114, 0, 0, 0, 176, 5, 0, 0, 10, 0, 0, 0, 240, 0, 0, 0, 110, 0, 0, 0, 117, 6, 0, 0, 0, 0, 0, 0, 32, 1, 0, 0, 110, 0, 0, 0, 5, 7, 0, 0, 0, 0, 0, 0, 48, 1, 0, 0, 110, 0, 0, 0, 46, 7, 0, 0, 0, 0, 0, 0, 64, 1, 0, 0, 110, 0, 0, 0, 87, 7, 0, 0, 0, 0, 0, 0, 80, 1, 0, 0, 110, 0, 0, 0, 128, 7, 0, 0, 0, 0, 0, 0, 96, 1, 0, 0, 110, 0, 0, 0, 169, 7, 0, 0, 0, 0, 0, 0, 152, 3, 0, 0, 115, 0, 0, 0, 176, 5, 0, 0, 8, 0, 0, 0, 168, 3, 0, 0, 129, 0, 0, 0, 176, 5, 0, 0, 8, 0, 0, 0, 40, 4, 0, 0, 115, 0, 0, 0, 59, 11, 0, 0, 2, 0, 0, 0, 56, 4, 0, 0, 115, 0, 0, 0, 59, 11, 0, 0, 0, 0, 0, 0, 240, 4, 0, 0, 129, 0, 0, 0, 186, 11, 0, 0, 0, 0, 0, 0, 56, 5, 0, 0, 133, 0, 0, 0, 228, 16, 0, 0, 0, 0, 0, 0, 144, 5, 0, 0, 133, 0, 0, 0, 228, 16, 0, 0, 0, 0, 0, 0, 200, 5, 0, 0, 133, 0, 0, 0, 149, 17, 0, 0, 0, 0, 0, 0, 24, 6, 0, 0, 133, 0, 0, 0, 190, 17, 0, 0, 0, 0, 0, 0, 88, 6, 0, 0, 133, 0, 0, 0, 239, 17, 0, 0, 0, 0, 0, 0, 216, 6, 0, 0, 133, 0, 0, 0, 165, 18, 0, 0, 0, 0, 0, 0, 32, 7, 0, 0, 133, 0, 0, 0, 190, 17, 0, 0, 0, 0, 0, 0, 64, 136, 0, 0, 133, 0, 0, 0, 165, 18, 0, 0, 0, 0, 0, 0, 136, 136, 0, 0, 133, 0, 0, 0, 239, 17, 0, 0, 0, 0, 0, 0, 248, 21, 1, 0, 115, 0, 0, 0, 176, 5, 0, 0, 8, 0, 0, 0, 8, 22, 1, 0, 129, 0, 0, 0, 176, 5, 0, 0, 8, 0, 0, 0, 136, 22, 1, 0, 115, 0, 0, 0, 59, 11, 0, 0, 2, 0, 0, 0, 152, 22, 1, 0, 115, 0, 0, 0, 59, 11, 0, 0, 0, 0, 0, 0, 136, 23, 1, 0, 129, 0, 0, 0, 186, 11, 0, 0, 0, 0, 0, 0, 80, 24, 1, 0, 133, 0, 0, 0, 228, 16, 0, 0, 0, 0, 0, 0, 24, 30, 1, 0, 115, 0, 0, 0, 176, 5, 0, 0, 8, 0, 0, 0, 40, 30, 1, 0, 129, 0, 0, 0, 176, 5, 0, 0, 8, 0, 0, 0, 168, 30, 1, 0, 115, 0, 0, 0, 59, 11, 0, 0, 2, 0, 0, 0, 184, 30, 1, 0, 115, 0, 0, 0, 59, 11, 0, 0, 0, 0, 0, 0, 104, 41, 1, 0, 129, 0, 0, 0, 186, 11, 0, 0, 0, 0, 0, 0, 184, 41, 1, 0, 133, 0, 0, 0, 228, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 196, 3, 0, 0, 0, 0, 2, 0, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 189, 3, 0, 0, 0, 0, 2, 0, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 182, 3, 0, 0, 0, 0, 2, 0, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 175, 3, 0, 0, 0, 0, 2, 0, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 3, 0, 0, 0, 0, 2, 0, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 161, 3, 0, 0, 0, 0, 2, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 154, 3, 0, 0, 0, 0, 2, 0, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 147, 3, 0, 0, 0, 0, 2, 0, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 140, 3, 0, 0, 0, 0, 2, 0, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 3, 0, 0, 0, 0, 2, 0, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 75, 4, 0, 0, 0, 0, 3, 0, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 203, 3, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 37, 1, 0, 0, 1, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 96, 1, 0, 0, 0, 0, 3, 0, 64, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 162, 2, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 2, 0, 0, 0, 0, 3, 0, 112, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 206, 1, 0, 0, 0, 0, 3, 0, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 4, 0, 0, 0, 0, 3, 0, 152, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 108, 3, 0, 0, 0, 0, 3, 0, 48, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 170, 2, 0, 0, 0, 0, 3, 0, 80, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 5, 0, 0, 0, 0, 3, 0, 128, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 4, 0, 0, 0, 0, 3, 0, 240, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 125, 5, 0, 0, 0, 0, 3, 0, 248, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 3, 0, 0, 0, 0, 3, 0, 144, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 99, 3, 0, 0, 0, 0, 3, 0, 160, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 171, 1, 0, 0, 0, 0, 3, 0, 32, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 1, 0, 0, 0, 0, 3, 0, 0, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 2, 0, 0, 0, 0, 3, 0, 136, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 242, 4, 0, 0, 0, 0, 3, 0, 40, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 61, 3, 0, 0, 0, 0, 3, 0, 72, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 143, 1, 0, 0, 0, 0, 3, 0, 104, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 242, 1, 0, 0, 0, 0, 3, 0, 184, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 0, 0, 0, 1, 0, 5, 0, 12, 0, 0, 0, 0, 0, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 107, 2, 0, 0, 0, 0, 3, 0, 152, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 4, 0, 0, 0, 0, 3, 0, 128, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 189, 2, 0, 0, 0, 0, 3, 0, 208, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 233, 4, 0, 0, 0, 0, 3, 0, 0, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 4, 0, 0, 0, 0, 3, 0, 40, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 3, 0, 0, 0, 0, 3, 0, 120, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 220, 3, 0, 0, 0, 0, 3, 0, 208, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 106, 5, 0, 0, 0, 0, 3, 0, 8, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 2, 0, 0, 0, 0, 3, 0, 232, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 134, 5, 0, 0, 0, 0, 3, 0, 200, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 69, 2, 0, 0, 0, 0, 3, 0, 32, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 233, 1, 0, 0, 0, 0, 3, 0, 48, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 251, 4, 0, 0, 0, 0, 3, 0, 24, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 92, 4, 0, 0, 0, 0, 3, 0, 48, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 229, 3, 0, 0, 0, 0, 3, 0, 64, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 2, 0, 0, 0, 0, 3, 0, 224, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 198, 2, 0, 0, 0, 0, 3, 0, 144, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 2, 0, 0, 0, 0, 3, 0, 224, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 2, 0, 0, 0, 0, 3, 0, 112, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 89, 3, 0, 0, 0, 0, 3, 0, 8, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 114, 1, 0, 0, 0, 0, 3, 0, 152, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 204, 4, 0, 0, 0, 0, 3, 0, 168, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 211, 3, 0, 0, 0, 0, 3, 0, 64, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 111, 4, 0, 0, 0, 0, 3, 0, 56, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 253, 2, 0, 0, 0, 0, 3, 0, 248, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 214, 1, 0, 0, 0, 0, 3, 0, 120, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 185, 4, 0, 0, 0, 0, 3, 0, 184, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 83, 4, 0, 0, 0, 0, 3, 0, 216, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 5, 0, 0, 1, 0, 5, 0, 48, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 149, 4, 0, 0, 0, 0, 3, 0, 240, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 69, 0, 0, 0, 1, 0, 5, 0, 96, 0, 0, 0, 0, 0, 0, 0, 57, 0, 0, 0, 0, 0, 0, 0, 251, 1, 0, 0, 0, 0, 3, 0, 168, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 3, 0, 0, 0, 0, 3, 0, 88, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 161, 1, 0, 0, 0, 0, 3, 0, 0, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 5, 0, 0, 0, 0, 3, 0, 208, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 123, 1, 0, 0, 0, 0, 3, 0, 184, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 101, 4, 0, 0, 0, 0, 3, 0, 232, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 213, 4, 0, 0, 0, 0, 3, 0, 224, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 115, 5, 0, 0, 0, 0, 3, 0, 208, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 130, 4, 0, 0, 0, 0, 3, 0, 224, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 1, 0, 5, 0, 153, 0, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 133, 1, 0, 0, 0, 0, 3, 0, 8, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 223, 4, 0, 0, 0, 0, 3, 0, 24, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 234, 2, 0, 0, 0, 0, 3, 0, 48, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 3, 0, 0, 0, 0, 3, 0, 128, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 78, 2, 0, 0, 0, 0, 3, 0, 144, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 140, 4, 0, 0, 0, 0, 3, 0, 224, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 5, 0, 0, 0, 0, 3, 0, 40, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 218, 2, 0, 0, 0, 0, 3, 0, 24, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54, 5, 0, 0, 0, 0, 3, 0, 248, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 169, 4, 0, 0, 0, 0, 3, 0, 208, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 3, 0, 24, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 5, 0, 0, 0, 0, 3, 0, 136, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 2, 0, 0, 0, 0, 3, 0, 80, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 35, 3, 0, 0, 0, 0, 3, 0, 56, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 117, 3, 0, 0, 0, 0, 3, 0, 192, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 5, 0, 0, 0, 0, 3, 0, 64, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30, 4, 0, 0, 0, 0, 3, 0, 136, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 223, 1, 0, 0, 0, 0, 3, 0, 64, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 238, 3, 0, 0, 0, 0, 3, 0, 216, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 194, 4, 0, 0, 0, 0, 3, 0, 16, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 59, 2, 0, 0, 0, 0, 3, 0, 40, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 179, 2, 0, 0, 0, 0, 3, 0, 184, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 1, 0, 5, 0, 182, 0, 0, 0, 0, 0, 0, 0, 43, 0, 0, 0, 0, 0, 0, 0, 70, 3, 0, 0, 0, 0, 3, 0, 24, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 4, 0, 0, 0, 0, 3, 0, 184, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 3, 0, 0, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 159, 4, 0, 0, 0, 0, 3, 0, 104, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 243, 2, 0, 0, 0, 0, 3, 0, 144, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 2, 0, 0, 0, 0, 3, 0, 32, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 1, 0, 0, 0, 0, 3, 0, 80, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 5, 0, 0, 0, 0, 3, 0, 176, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 59, 4, 0, 0, 0, 0, 3, 0, 16, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 3, 0, 0, 0, 0, 3, 0, 112, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 146, 2, 0, 0, 0, 0, 3, 0, 208, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 190, 1, 0, 0, 0, 0, 3, 0, 48, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 5, 0, 0, 0, 0, 3, 0, 144, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 4, 0, 0, 0, 0, 3, 0, 240, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 25, 3, 0, 0, 0, 0, 3, 0, 80, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 126, 2, 0, 0, 0, 0, 3, 0, 176, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 116, 2, 0, 0, 0, 0, 3, 0, 72, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 90, 5, 0, 0, 18, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 179, 4, 0, 0, 18, 0, 2, 0, 48, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 69, 4, 0, 0, 18, 0, 2, 0, 96, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 127, 3, 0, 0, 18, 0, 2, 0, 144, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 55, 3, 0, 0, 18, 0, 2, 0, 192, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 228, 2, 0, 0, 18, 0, 2, 0, 240, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 156, 2, 0, 0, 18, 0, 2, 0, 32, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 34, 2, 0, 0, 18, 0, 2, 0, 80, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 200, 1, 0, 0, 18, 0, 2, 0, 128, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 90, 1, 0, 0, 18, 0, 2, 0, 176, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 18, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 42, 1, 0, 0, 0, 0, 0, 175, 0, 0, 0, 17, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 202, 0, 0, 0, 17, 0, 7, 0, 192, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 67, 1, 0, 0, 17, 0, 5, 0, 4, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 213, 0, 0, 0, 17, 0, 7, 0, 96, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 229, 0, 0, 0, 17, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 17, 0, 7, 0, 80, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 162, 0, 0, 0, 17, 0, 7, 0, 160, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 193, 0, 0, 0, 17, 0, 7, 0, 128, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 113, 0, 0, 0, 17, 0, 5, 0, 8, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 120, 0, 0, 0, 17, 0, 7, 0, 64, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 131, 0, 0, 0, 17, 0, 7, 0, 32, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 144, 0, 0, 0, 17, 0, 7, 0, 224, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 253, 0, 0, 0, 17, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 128, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 118, 0, 0, 0, 184, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 130, 0, 0, 0, 216, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 118, 0, 0, 0, 32, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 118, 0, 0, 0, 80, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 131, 0, 0, 0, 64, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 132, 0, 0, 0, 144, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 133, 0, 0, 0, 184, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 134, 0, 0, 0, 216, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 135, 0, 0, 0, 72, 10, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 117, 0, 0, 0, 152, 10, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 132, 0, 0, 0, 64, 11, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 132, 0, 0, 0, 224, 11, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 133, 0, 0, 0, 232, 15, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 134, 0, 0, 0, 8, 16, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 135, 0, 0, 0, 128, 16, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 117, 0, 0, 0, 16, 17, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 134, 0, 0, 0, 48, 17, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 135, 0, 0, 0, 152, 17, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 117, 0, 0, 0, 8, 19, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 134, 0, 0, 0, 40, 19, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 135, 0, 0, 0, 152, 19, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 117, 0, 0, 0, 8, 21, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 136, 0, 0, 0, 240, 22, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 136, 0, 0, 0, 224, 23, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 137, 0, 0, 0, 176, 24, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 136, 0, 0, 0, 232, 24, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 136, 0, 0, 0, 32, 25, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 136, 0, 0, 0, 152, 25, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 136, 0, 0, 0, 240, 25, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 136, 0, 0, 0, 24, 26, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 138, 0, 0, 0, 64, 26, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 139, 0, 0, 0, 160, 26, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 140, 0, 0, 0, 88, 28, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 134, 0, 0, 0, 128, 28, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 135, 0, 0, 0, 240, 28, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 117, 0, 0, 0, 112, 29, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 137, 0, 0, 0, 40, 34, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 134, 0, 0, 0, 80, 34, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 135, 0, 0, 0, 224, 35, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 141, 0, 0, 0, 224, 36, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 138, 0, 0, 0, 32, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 0, 0, 0, 128, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 0, 0, 0, 224, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 0, 0, 0, 64, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 0, 0, 0, 160, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 0, 0, 0, 0, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 0, 0, 0, 96, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 0, 0, 0, 192, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 0, 0, 0, 32, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 0, 0, 0, 128, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 0, 0, 0, 88, 42, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 136, 0, 0, 0, 76, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 118, 0, 0, 0, 100, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 130, 0, 0, 0, 112, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 140, 0, 0, 0, 124, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 139, 0, 0, 0, 136, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 135, 0, 0, 0, 148, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 133, 0, 0, 0, 160, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 137, 0, 0, 0, 172, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 136, 0, 0, 0, 184, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 131, 0, 0, 0, 196, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 141, 0, 0, 0, 220, 26, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 134, 0, 0, 0, 232, 26, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 132, 0, 0, 0, 244, 26, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 138, 0, 0, 0, 0, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 117, 0, 0, 0, 12, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 117, 0, 0, 0, 24, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 117, 0, 0, 0, 36, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 117, 0, 0, 0, 48, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 117, 0, 0, 0, 72, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 142, 0, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 52, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 60, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 68, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 76, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 84, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 152, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 184, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 200, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 232, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 40, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 56, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 72, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 88, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 104, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 120, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 136, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 152, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 168, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 184, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 200, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 216, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 232, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 248, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 8, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 40, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 56, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 72, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 88, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 104, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 120, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 136, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 152, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 168, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 184, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 200, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 216, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 232, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 248, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 8, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 32, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 96, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 112, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 128, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 144, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 160, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 176, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 192, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 208, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 240, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 16, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 32, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 48, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 64, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 80, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 108, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 124, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 140, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 156, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 172, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 188, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 204, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 220, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 236, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 252, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 12, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 28, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 44, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 60, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 76, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 92, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 108, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 124, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 140, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 156, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 172, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 188, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 204, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 220, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 236, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 252, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 12, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 28, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 44, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 60, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 76, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 92, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 108, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 139, 1, 144, 1, 142, 1, 148, 1, 152, 1, 140, 1, 150, 1, 149, 1, 145, 1, 143, 1, 147, 1, 146, 1, 141, 1, 151, 1, 36, 65, 67, 77, 100, 0, 46, 116, 101, 120, 116, 0, 46, 114, 101, 108, 46, 66, 84, 70, 46, 101, 120, 116, 0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 0, 103, 101, 116, 95, 101, 118, 101, 110, 116, 95, 115, 101, 99, 116, 105, 111, 110, 46, 95, 95, 95, 102, 109, 116, 0, 102, 105, 108, 116, 101, 114, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 99, 109, 112, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 46, 98, 115, 115, 0, 46, 109, 97, 112, 115, 0, 110, 104, 111, 111, 107, 115, 0, 101, 118, 101, 110, 116, 115, 95, 109, 97, 112, 0, 99, 111, 117, 110, 116, 101, 114, 115, 95, 109, 97, 112, 0, 115, 116, 97, 99, 107, 95, 109, 97, 112, 0, 108, 111, 103, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 0, 103, 108, 111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 0, 108, 111, 103, 95, 108, 101, 118, 101, 108, 0, 46, 108, 108, 118, 109, 95, 97, 100, 100, 114, 115, 105, 103, 0, 95, 95, 108, 105, 99, 101, 110, 115, 101, 0, 112, 114, 111, 98, 101, 95, 107, 112, 114, 111, 98, 101, 0, 46, 114, 101, 108, 107, 112, 114, 111, 98, 101, 47, 112, 114, 111, 98, 101, 0, 99, 104, 97, 105, 110, 46, 101, 110, 97, 98, 108, 101, 100, 0, 46, 115, 116, 114, 116, 97, 98, 0, 46, 115, 121, 109, 116, 97, 98, 0, 110, 109, 101, 116, 97, 0, 46, 114, 111, 100, 97, 116, 97, 0, 46, 114, 101, 108, 46, 66, 84, 70, 0, 104, 111, 111, 107, 57, 0, 76, 66, 66, 49, 48, 95, 57, 0, 76, 66, 66, 49, 48, 95, 49, 57, 57, 0, 76, 66, 66, 49, 48, 95, 55, 57, 0, 76, 66, 66, 49, 48, 95, 49, 54, 57, 0, 76, 66, 66, 49, 48, 95, 49, 53, 57, 0, 76, 66, 66, 49, 48, 95, 52, 57, 0, 76, 66, 66, 49, 48, 95, 51, 57, 0, 76, 66, 66, 49, 48, 95, 49, 51, 57, 0, 76, 66, 66, 49, 48, 95, 50, 57, 0, 76, 66, 66, 49, 48, 95, 50, 49, 57, 0, 76, 66, 66, 49, 48, 95, 50, 48, 57, 0, 104, 111, 111, 107, 56, 0, 76, 66, 66, 49, 48, 95, 56, 0, 76, 66, 66, 49, 48, 95, 56, 56, 0, 76, 66, 66, 49, 48, 95, 49, 55, 56, 0, 76, 66, 66, 49, 48, 95, 54, 56, 0, 76, 66, 66, 49, 48, 95, 52, 56, 0, 76, 66, 66, 49, 48, 95, 49, 52, 56, 0, 76, 66, 66, 49, 48, 95, 51, 56, 0, 76, 66, 66, 49, 48, 95, 50, 50, 56, 0, 76, 66, 66, 49, 48, 95, 49, 48, 56, 0, 104, 111, 111, 107, 55, 0, 76, 66, 66, 49, 48, 95, 49, 57, 55, 0, 76, 66, 66, 49, 48, 95, 55, 55, 0, 76, 66, 66, 49, 48, 95, 49, 55, 55, 0, 76, 66, 66, 49, 48, 95, 54, 55, 0, 76, 66, 66, 49, 48, 95, 49, 54, 55, 0, 76, 66, 66, 49, 48, 95, 53, 55, 0, 76, 66, 66, 49, 48, 95, 49, 53, 55, 0, 76, 66, 66, 49, 48, 95, 52, 55, 0, 76, 66, 66, 49, 48, 95, 50, 50, 55, 0, 76, 66, 66, 49, 48, 95, 50, 49, 55, 0, 76, 66, 66, 49, 48, 95, 49, 49, 55, 0, 76, 66, 66, 49, 48, 95, 50, 48, 55, 0, 104, 111, 111, 107, 54, 0, 76, 66, 66, 49, 48, 95, 54, 0, 76, 66, 66, 49, 48, 95, 57, 54, 0, 76, 66, 66, 49, 48, 95, 49, 55, 54, 0, 76, 66, 66, 49, 48, 95, 53, 54, 0, 76, 66, 66, 49, 48, 95, 49, 52, 54, 0, 76, 66, 66, 49, 48, 95, 49, 51, 54, 0, 76, 66, 66, 49, 48, 95, 49, 50, 54, 0, 104, 111, 111, 107, 53, 0, 76, 66, 66, 49, 48, 95, 57, 53, 0, 76, 66, 66, 49, 48, 95, 49, 57, 53, 0, 76, 66, 66, 49, 48, 95, 56, 53, 0, 76, 66, 66, 49, 48, 95, 49, 54, 53, 0, 76, 66, 66, 49, 48, 95, 50, 53, 0, 76, 66, 66, 49, 48, 95, 50, 49, 53, 0, 76, 66, 66, 49, 48, 95, 49, 49, 53, 0, 76, 66, 66, 49, 48, 95, 50, 48, 53, 0, 104, 111, 111, 107, 52, 0, 76, 66, 66, 49, 48, 95, 57, 52, 0, 76, 66, 66, 49, 48, 95, 49, 56, 52, 0, 76, 66, 66, 49, 48, 95, 54, 52, 0, 76, 66, 66, 49, 48, 95, 49, 53, 52, 0, 76, 66, 66, 49, 48, 95, 51, 52, 0, 76, 66, 66, 49, 48, 95, 50, 52, 0, 76, 66, 66, 49, 48, 95, 49, 50, 52, 0, 104, 111, 111, 107, 51, 0, 76, 66, 66, 57, 95, 51, 0, 76, 66, 66, 56, 95, 51, 0, 76, 66, 66, 55, 95, 51, 0, 76, 66, 66, 54, 95, 51, 0, 76, 66, 66, 53, 95, 51, 0, 76, 66, 66, 52, 95, 51, 0, 76, 66, 66, 51, 95, 51, 0, 76, 66, 66, 50, 95, 51, 0, 76, 66, 66, 49, 95, 51, 0, 76, 66, 66, 48, 95, 51, 0, 76, 66, 66, 49, 48, 95, 51, 0, 76, 66, 66, 49, 48, 95, 57, 51, 0, 76, 66, 66, 49, 48, 95, 56, 51, 0, 76, 66, 66, 49, 48, 95, 55, 51, 0, 76, 66, 66, 49, 48, 95, 49, 55, 51, 0, 76, 66, 66, 49, 48, 95, 49, 54, 51, 0, 76, 66, 66, 49, 48, 95, 53, 51, 0, 76, 66, 66, 49, 48, 95, 50, 51, 0, 76, 66, 66, 49, 48, 95, 50, 50, 51, 0, 76, 66, 66, 49, 48, 95, 49, 50, 51, 0, 76, 66, 66, 49, 48, 95, 49, 51, 0, 76, 66, 66, 49, 48, 95, 50, 49, 51, 0, 76, 66, 66, 49, 48, 95, 50, 48, 51, 0, 104, 111, 111, 107, 50, 0, 76, 66, 66, 49, 48, 95, 50, 0, 76, 66, 66, 49, 48, 95, 57, 50, 0, 76, 66, 66, 49, 48, 95, 55, 50, 0, 76, 66, 66, 49, 48, 95, 49, 55, 50, 0, 76, 66, 66, 49, 48, 95, 49, 54, 50, 0, 76, 66, 66, 49, 48, 95, 53, 50, 0, 76, 66, 66, 49, 48, 95, 49, 53, 50, 0, 76, 66, 66, 49, 48, 95, 51, 50, 0, 76, 66, 66, 49, 48, 95, 49, 51, 50, 0, 76, 66, 66, 49, 48, 95, 50, 50, 50, 0, 76, 66, 66, 49, 48, 95, 49, 49, 50, 0, 104, 111, 111, 107, 49, 0, 76, 66, 66, 49, 48, 95, 57, 49, 0, 76, 66, 66, 49, 48, 95, 49, 57, 49, 0, 76, 66, 66, 49, 48, 95, 56, 49, 0, 76, 66, 66, 49, 48, 95, 49, 55, 49, 0, 76, 66, 66, 49, 48, 95, 49, 54, 49, 0, 76, 66, 66, 49, 48, 95, 53, 49, 0, 76, 66, 66, 49, 48, 95, 52, 49, 0, 76, 66, 66, 49, 48, 95, 49, 52, 49, 0, 76, 66, 66, 49, 48, 95, 51, 49, 0, 76, 66, 66, 49, 48, 95, 49, 50, 49, 0, 76, 66, 66, 49, 48, 95, 50, 49, 49, 0, 76, 66, 66, 49, 48, 95, 49, 49, 49, 0, 76, 66, 66, 49, 48, 95, 50, 48, 49, 0, 76, 66, 66, 49, 48, 95, 49, 48, 49, 0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 46, 49, 0, 104, 111, 111, 107, 48, 0, 76, 66, 66, 49, 48, 95, 49, 55, 48, 0, 76, 66, 66, 49, 48, 95, 54, 48, 0, 76, 66, 66, 49, 48, 95, 49, 53, 48, 0, 76, 66, 66, 49, 48, 95, 51, 48, 0, 76, 66, 66, 49, 48, 95, 49, 51, 48, 0, 76, 66, 66, 49, 48, 95, 50, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 51, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 193, 1, 0, 0, 0, 0, 0, 153, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 2, 0, 0, 0, 0, 0, 0, 128, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 1, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 156, 1, 0, 0, 0, 0, 0, 64, 3, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 3, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 73, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 44, 1, 0, 0, 0, 0, 0, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 255, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 129, 45, 1, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 107, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 45, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 102, 0, 0, 0, 8, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 46, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 85, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 46, 1, 0, 0, 0, 0, 0, 134, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 81, 1, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 160, 1, 0, 0, 0, 0, 0, 48, 1, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 9, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 11, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 112, 1, 0, 0, 0, 0, 0, 124, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 161, 1, 0, 0, 0, 0, 0, 128, 31, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 11, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 239, 0, 0, 0, 3, 76, 255, 111, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 192, 1, 0, 0, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 59, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 143, 1, 0, 0, 0, 0, 0, 104, 13, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 119, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0];
        }
